Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
qt-script, qt-core, qt-sdl, qt-dbus, qt-gui slot conflict
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
zzz025
n00b
n00b


Joined: 06 Nov 2008
Posts: 8

PostPosted: Sun Jun 21, 2009 12:10 am    Post subject: Reply with quote

Hwoarang wrote:
Code:
!!! All ebuilds that could satisfy "~x11-libs/qt-gui-4.5.1[qt3support]" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/qt-gui-4.5.1-r2 (masked by: ~x86 keyword)
- x11-libs/qt-gui-4.5.1-r1 (masked by: ~x86 keyword)
- x11-libs/qt-gui-4.5.1 (masked by: ~x86 keyword)


Do you have x11-libs/qt-gui on your package.keywords file?


No, I did not do this. The conflict is resolved by doing so.
Thanks very much!
Back to top
View user's profile Send private message
larand54
l33t
l33t


Joined: 20 Feb 2004
Posts: 688
Location: Sweden

PostPosted: Sun Jun 28, 2009 3:34 pm    Post subject: Reply with quote

What the hell is this!!??
I give up...nothing of above have helped me.
Already spending several hours trying to solve this...
Code:
sudo emerge -uDavNt world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in reverse order:

Calculating dependencies                ... done!
[nomerge      ] kde-base/kdegraphics-3.5.9  USE="gphoto2 kdeenablefinal kpathsea opengl pdf scanner xinerama -arts -debug -imlib -openexr -povray"  [0]
[ebuild     U ]  virtual/poppler-qt3-0.10.7 [0.10.5] 0 kB [0]
[ebuild     U ] media-sound/grip-3.3.1-r2 [3.3.1] USE="nls vorbis" 794 kB [?=>0]
[ebuild     U ] kde-base/cervisia-3.5.10 [3.5.9] USE="kdehiddenvisibility -debug (-arts%) (-kdeenablefinal%*) (-xinerama%*)" 5,129 kB [0]
[ebuild     U ] media-sound/audacity-1.3.7 [1.3.6] USE="alsa ffmpeg flac ladspa libsamplerate midi mp3 vorbis -id3tag -jack -soundtouch -twolame -vamp" 5,261 kB [0]
[ebuild     U ] x11-misc/xscreensaver-5.08-r2 [5.07] USE="jpeg new-login opengl pam xinerama -suid" 5,339 kB [0]
[ebuild     U ] kde-base/arts-3.5.10 [3.5.9] USE="alsa esd mp3 vorbis -artswrappersuid -debug -jack -nas (-kdeenablefinal%*) (-xinerama%*)" 951 kB [0]
[ebuild  NS   ] dev-db/phpmyadmin-2.11.9.5 [2.11.9.4] USE="vhosts" 2,192 kB [0]
[ebuild     U ] net-analyzer/ntop-3.3.10-r1 [3.3.9-r2] USE="ipv6 ssl tcpd" 3,160 kB [0]
[ebuild     U ] www-client/mozilla-firefox-3.0.11 [3.0.10] USE="dbus gnome java startup-notification xulrunner -bindist -custom-optimization -iceweasel -mozdevelop -restrict-javascript" LINGUAS="en sv sv_SE -af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -it -ja -ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sk -sl -sq -sr -te -th -tr -uk -zh -zh_CN -zh_TW" 11,517 kB [0]
[ebuild     U ] net-misc/smb4k-0.9.9 [0.8.7] USE="xinerama -bindist% -debug (-arts%)" 1,940 kB [0]
[ebuild     U ] dev-util/subversion-1.6.2 [1.5.6] USE="apache2 bash-completion berkdb dso java nls python ruby webdav-neon -ctypes-python% -debug -doc -emacs -extras -gnome-keyring% -perl -sasl -test% -vim-syntax -webdav-serf" 5,343 kB [0]
[nomerge      ] media-sound/amarok-1.4.10_p20090130-r2 [1.4.10-r2] USE="amazon kde musicbrainz mysql opengl python xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real) -visualization" LINGUAS="se sv -af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -sk -sl -sq -sr -sr@Latn -ss -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"  [0]
[nomerge      ]  dev-python/PyQt-3.17.6  USE="examples -debug -doc"  [0]
[nomerge      ]   x11-libs/qscintilla-2.3.2  USE="examples python qt4 -debug -doc"  [0]
[ebuild     U ]    dev-python/qscintilla-python-2.3.2-r2 [2.3.2] USE="qt4" 2,097 kB [0]
[blocks b     ]  <media-sound/amarok-1.4.10_p20090130-r2 ("<media-sound/amarok-1.4.10_p20090130-r2" is blocking media-sound/amarok-1.4.10_p20090130-r2)
[uninstall    ]   media-sound/amarok-1.4.10-r2  USE="amazon kde musicbrainz mysql opengl python xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real) -visualization" LINGUAS="se sv -af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -sk -sl -sq -sr -sr@Latn -ss -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"  [0]
[ebuild  NS   ] media-sound/amarok-1.4.10_p20090130-r2 [1.4.10-r2] USE="amazon kde musicbrainz mysql opengl python xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real) -visualization" LINGUAS="se sv -af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -sk -sl -sq -sr -sr@Latn -ss -ta -tg -th -tr -uk -uz -zh_CN -zh_TW" 12,517 kB [0]
[nomerge      ] kde-misc/basket-1.0.3.1 [1.0.2] USE="crypt xinerama -debug" LINGUAS="-cs -da -de -es -fr -it -ja -nl -nn -pt -ru -tr -zh_CN"  [0]
[blocks b     ]  <kde-misc/basket-1.0.3.1 ("<kde-misc/basket-1.0.3.1" is blocking kde-misc/basket-1.0.3.1)
[uninstall    ]   kde-misc/basket-1.0.2  USE="crypt xinerama -arts -debug"  [0]
[ebuild  NS   ] kde-misc/basket-1.0.3.1 [1.0.2] USE="crypt xinerama -debug" LINGUAS="-cs -da -de -es -fr -it -ja -nl -nn -pt -ru -tr -zh_CN" 5,458 kB [0]
[nomerge      ] app-cdr/k3b-1.0.5-r5 [1.0.5-r3] USE="alsa dvd dvdr encode ffmpeg flac hal mp3 musicbrainz vorbis xinerama -arts -css -debug -emovix -musepack -sndfile -vcd" LINGUAS="se sv -af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -it -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -sk -sr -sr@Latn -ta -tr -uk -uz -zh_CN -zh_TW"  [0]
[blocks b     ]  <app-cdr/k3b-1.0.5-r5 ("<app-cdr/k3b-1.0.5-r5" is blocking app-cdr/k3b-1.0.5-r5)
[uninstall    ]   app-cdr/k3b-1.0.5-r3  USE="alsa dvd dvdr encode ffmpeg flac hal mp3 musicbrainz vorbis xinerama -arts -css -debug -emovix -musepack -sndfile -vcd" LINGUAS="se sv -af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -it -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -sk -sr -sr@Latn -ta -tr -uk -uz -zh_CN -zh_TW"  [0]
[ebuild  NS   ] app-cdr/k3b-1.0.5-r5 [1.0.5-r3] USE="alsa dvd dvdr encode ffmpeg flac hal mp3 musicbrainz vorbis xinerama -arts -css -debug -emovix -musepack -sndfile -vcd" LINGUAS="se sv -af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -it -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -sk -sr -sr@Latn -ta -tr -uk -uz -zh_CN -zh_TW" 12,545 kB [0]
[nomerge      ] dev-util/kdevelop-3.5.4-r1 [3.5.2-r1] USE="fortran java pascal perl php python ruby sql xinerama -ada -clearcase -cvs -debug -haskell -perforce -subversion"  [0]
[blocks b     ]  <dev-util/kdevelop-3.5.4-r1 ("<dev-util/kdevelop-3.5.4-r1" is blocking dev-util/kdevelop-3.5.4-r1)
[uninstall    ]   dev-util/kdevelop-3.5.2-r1  USE="fortran java pascal perl php python ruby sql xinerama -ada -clearcase -cvs -debug -haskell -perforce -subversion"  [0]
[ebuild  NS   ] dev-util/kdevelop-3.5.4-r1 [3.5.2-r1] USE="fortran java pascal perl php python ruby sql xinerama -ada -clearcase -cvs -debug -haskell -perforce -subversion" 9,375 kB [0]
[nomerge      ] media-sound/amarok-1.4.10_p20090130-r2 [1.4.10-r2] USE="amazon kde musicbrainz mysql opengl python xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real) -visualization" LINGUAS="se sv -af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -sk -sl -sq -sr -sr@Latn -ss -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"  [0]
[ebuild  N    ]  kde-base/konqueror-3.5.10  USE="branding java kdehiddenvisibility -debug" 23,770 kB [0]
[ebuild  N    ]   kde-base/kcontrol-3.5.10  USE="kdehiddenvisibility logitech-mouse opengl -arts -debug -ieee1394 -joystick" 26 kB [0]
[ebuild  N    ]    kde-base/kicker-3.5.10-r1  USE="kdehiddenvisibility -debug -xcomposite" 0 kB [0]
[ebuild  N    ]     kde-base/kmenuedit-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]    kde-base/khotkeys-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]    kde-base/kdesu-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]    kde-base/kcminit-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]    kde-base/khelpcenter-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]     kde-base/kdebase-kioslaves-3.5.10-r1  USE="hal kdehiddenvisibility ldap samba -debug -openexr" 0 kB [0]
[ebuild  N    ]      kde-base/kdialog-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild  N    ]   kde-base/kfind-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[nomerge      ] kde-base/kdegraphics-3.5.9  USE="gphoto2 kdeenablefinal kpathsea opengl pdf scanner xinerama -arts -debug -imlib -openexr -povray"  [0]
[ebuild  N    ]  dev-libs/poppler-qt3-0.10.7  1,496 kB [0]
[nomerge      ] kde-base/kcontrol-3.5.10  USE="kdehiddenvisibility logitech-mouse opengl -arts -debug -ieee1394 -joystick"  [0]
[ebuild  N    ]  kde-base/kdebase-data-3.5.10  USE="-debug" 0 kB [0]
[ebuild  N    ]  kde-base/libkonq-3.5.10  USE="kdehiddenvisibility -debug" 0 kB [0]
[ebuild     U ]   kde-base/kdelibs-3.5.10-r6 [3.5.9-r4] USE="acl alsa branding cups fam jpeg2k kdehiddenvisibility spell tiff -arts -avahi -bindist -debug -doc -kerberos -legacyssl -lua -openexr -utempter (-kdeenablefinal%*) (-xinerama%*)" 15,270 kB [0]
[ebuild     U ] dev-lang/php-5.2.10 [5.2.9-r2] USE="apache2 berkdb bzip2 calendar cli crypt ctype exif gd gdbm iconv imap ipv6 ldap mysql ncurses nls odbc pcre readline reflection session simplexml snmp spell spl ssl truetype unicode xml xmlreader xmlwriter zlib -adabas -bcmath -birdstep -cdb -cgi -cjk -concurrentmodphp -curl -curlwrappers -db2 -dbase -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -fastbuild -fdftk -filter -firebird -flatfile -force-cgi-redirect -frontbase -ftp -gd-external -gmp -hash -inifile -interbase -iodbc (-java-external) -json -kerberos -kolab -ldap-sasl -libedit -mcve -mhash -msql -mssql -mysqli -oci8 -oci8-instant-client -pcntl -pdo -pic -posix -postgres -qdbm -recode -sapdb -sharedext -sharedmem -soap -sockets -solid -sqlite -suhosin -sybase -sybase-ct -sysvipc -threads -tidy -tokenizer -wddx -xmlrpc -xpm -xsl -yaz -zip (-zip-external%)" 8,614 kB [0]
[nomerge      ] media-sound/picard-0.11  USE="ffmpeg nls -cdaudio"  [0]
[nomerge      ]  dev-python/PyQt4-4.4.4-r2  USE="X dbus examples opengl qt3support svg -debug -doc -webkit"  [0]
[ebuild  N    ]   x11-libs/qt-qt3support-4.5.1  USE="accessibility kde -debug -pch -phonon" 111,980 kB [0]
[nomerge      ] x11-libs/qt-svg-4.4.2  USE="-custom-cxxflags -debug -pch"  [0]
[blocks b     ]  >x11-libs/qt-script-4.4.2-r9999 (">x11-libs/qt-script-4.4.2-r9999" is blocking x11-libs/qt-opengl-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-svg-4.4.2, x11-libs/qt-core-4.4.2-r2, x11-libs/qt-sql-4.4.2-r1)
[blocks b     ]  >x11-libs/qt-test-4.4.2-r9999 (">x11-libs/qt-test-4.4.2-r9999" is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-sql-4.4.2-r1, x11-libs/qt-svg-4.4.2, x11-libs/qt-opengl-4.4.2, x11-libs/qt-core-4.4.2-r2)
[nomerge      ] x11-libs/qt-core-4.4.2-r2  USE="glib iconv qt3support ssl -custom-cxxflags -debug -doc -pch"  [0]
[blocks b     ]  >x11-libs/qt-dbus-4.4.2-r9999 (">x11-libs/qt-dbus-4.4.2-r9999" is blocking x11-libs/qt-opengl-4.4.2, x11-libs/qt-svg-4.4.2, x11-libs/qt-script-4.4.2, x11-libs/qt-core-4.4.2-r2, x11-libs/qt-sql-4.4.2-r1)
[nomerge      ] dev-python/qscintilla-python-2.3.2-r2 [2.3.2] USE="qt4"  [0]
[nomerge      ]  dev-python/PyQt4-4.4.4-r2  USE="X dbus examples opengl qt3support svg -debug -doc -webkit"  [0]
[nomerge      ]   x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster"  [0]
[blocks b     ]    <x11-libs/qt-sql-4.5.1 ("<x11-libs/qt-sql-4.5.1" is blocking x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-core-4.5.1)
[nomerge      ] x11-libs/qt-svg-4.4.2  USE="-custom-cxxflags -debug -pch"  [0]
[blocks b     ]  >x11-libs/qt-opengl-4.4.2-r9999 (">x11-libs/qt-opengl-4.4.2-r9999" is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-svg-4.4.2, x11-libs/qt-core-4.4.2-r2, x11-libs/qt-sql-4.4.2-r1)
[blocks b     ]  >x11-libs/qt-qt3support-4.4.2-r9999 (">x11-libs/qt-qt3support-4.4.2-r9999" is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-sql-4.4.2-r1, x11-libs/qt-svg-4.4.2, x11-libs/qt-opengl-4.4.2, x11-libs/qt-core-4.4.2-r2)
[nomerge      ] x11-libs/qt-core-4.4.2-r2  USE="glib iconv qt3support ssl -custom-cxxflags -debug -doc -pch"  [0]
[blocks b     ]  >x11-libs/qt-svg-4.4.2-r9999 (">x11-libs/qt-svg-4.4.2-r9999" is blocking x11-libs/qt-opengl-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-script-4.4.2, x11-libs/qt-core-4.4.2-r2, x11-libs/qt-sql-4.4.2-r1)
[nomerge      ] x11-libs/qt-svg-4.4.2  USE="-custom-cxxflags -debug -pch"  [0]
[blocks b     ]  >x11-libs/qt-core-4.4.2-r9999 (">x11-libs/qt-core-4.4.2-r9999" is blocking x11-libs/qt-opengl-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-svg-4.4.2, x11-libs/qt-script-4.4.2, x11-libs/qt-sql-4.4.2-r1)
[blocks b     ]  >x11-libs/qt-gui-4.4.2-r9999 (">x11-libs/qt-gui-4.4.2-r9999" is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-sql-4.4.2-r1, x11-libs/qt-svg-4.4.2, x11-libs/qt-opengl-4.4.2, x11-libs/qt-core-4.4.2-r2)
[ebuild     U ]   x11-libs/qt-sql-4.5.1 [4.4.2-r1] USE="iconv mysql odbc qt3support sqlite -debug -firebird -pch -postgres (-custom-cxxflags%)" 0 kB [0]
[nomerge      ] www-servers/apache-2.2.11  USE="ldap ssl -debug -doc (-selinux) -sni -static -suexec -threads" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -authn_alias -cern_meta -charset_lite -dumpio -log_forensic -proxy_ftp -substitute -version" APACHE2_MPMS="-event -itk -peruser -prefork -worker"  [0]
[nomerge      ]  app-admin/apache-tools-2.2.11  USE="ssl"  [0]
[ebuild     U ]   dev-libs/apr-util-1.3.7 [1.3.4] USE="berkdb gdbm ldap mysql odbc -doc -freetds -postgres -sqlite -sqlite3" 770 kB [0]
[nomerge      ] kde-base/kdemultimedia-3.5.9  USE="alsa audiofile encode flac gstreamer kdeenablefinal mp3 vorbis xine xinerama -akode -arts -debug -theora"  [0]
[ebuild  N    ]  x11-libs/qt-3.3.8b-r1  USE="cups examples ipv6 mysql odbc opengl xinerama -debug -doc -firebird -immqt -immqt-bc -nas -nis -postgres -sqlite" 16,909 kB [0]
[nomerge      ] rox-base/rox-2.8-r1  USE="svg video"  [0]
[nomerge      ]  rox-extra/videothumbnail-0.1.14  [0]
[ebuild     U ]   media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28450] USE="X a52 aac alsa amrnb* amrwb* ass cddb* cdio* cdparanoia dirac* dts dv dvd dvdnav* enca* encode esd faac%* faad%* gif gtk iconv ipv6 jpeg ladspa live mad mmx mp2 mp3 nemesi* network%* opengl png quicktime rar* real* rtc* samba schroedinger* sdl speex* sse theora tremor%* truetype unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) -arts -bidi -bindist -bl -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ftp -ggi -jack -joystick -libcaca -lirc -lzo -md5sum* -mmxext -mng -musepack -nas -openal -oss* -pnm -pulseaudio -pvr -radio -sse2 -ssse3 -svga -teletext -tga -v4l -v4l2 -vdpau% -vidix -xanim -xvmc -zoran" VIDEO_CARDS="nvidia%* vesa -mga -s3virge -tdfx" 8,182 kB [0]
[nomerge      ] media-sound/grip-3.3.1-r2 [3.3.1] USE="nls vorbis"  [?=>0]
[ebuild  N    ]  gnome-extra/yelp-2.24.0-r10  USE="-beagle -debug -lzma" 1,000 kB [0]
[ebuild     U ]   net-libs/xulrunner-1.9.0.11 [1.9.0.10] USE="dbus gnome java startup-notification -custom-optimization" 33,415 kB [0]
[nomerge      ] dev-util/eclipse-sdk-3.2.1-r3  USE="branding cairo gnome opengl -seamonkey"  [0]
[nomerge      ]  dev-java/ant-1.7.1  USE="X antlr bcel bsf commonslogging commonsnet javamail jdepend jsch log4j oro regexp resolver -jai -jmf"  [0]
[nomerge      ]   dev-java/ant-apache-log4j-1.7.1  [0]
[ebuild     U ]    dev-java/log4j-1.2.15-r2 [1.2.15-r1] USE="-doc -javamail -jms -jmx -source" 2,051 kB [0]
[nomerge      ] dev-java/ant-1.7.1  USE="X antlr bcel bsf commonslogging commonsnet javamail jdepend jsch log4j oro regexp resolver -jai -jmf"  [0]
[nomerge      ]  dev-java/ant-jsch-1.7.1  [0]
[ebuild     U ]   dev-java/jsch-0.1.41 [0.1.37-r1] USE="examples zlib -doc -source" 276 kB [0]
[ebuild     U ] sci-visualization/gnuplot-4.2.5 [4.2.4-r1] USE="X gd latex pdf readline -doc -emacs -ggi -lua% -plotutils -svga -wxwindows -xemacs" 2,832 kB [0]
[nomerge      ] net-mail/sendEmail-1.55  USE="ssl"  [?]
[nomerge      ]  dev-perl/IO-Socket-SSL-1.24  [0]
[nomerge      ]   dev-perl/Net-LibIDN-0.12  [0]
[ebuild     U ]    net-dns/libidn-1.14 [1.13] USE="java nls -doc -emacs -mono" 2,519 kB [0]
[ebuild     U ] app-admin/sudo-1.7.1-r1 [1.7.0] USE="ldap pam -offensive (-selinux) -skey" 739 kB [0]
[ebuild     U ]  dev-libs/cyrus-sasl-2.1.23 [2.1.22-r2] USE="berkdb crypt gdbm java ldap mysql pam ssl -authdaemond -kerberos -ntlm_unsupported_patch -postgres -sample -srp -urandom" 1,576 kB [0]
[ebuild     U ] dev-lang/ruby-1.8.6_p369 [1.8.6_p368] USE="berkdb examples gdbm ipv6 ssl tk -debug -doc -emacs -rubytests -socks5 -threads -xemacs" 3,889 kB [0]
[nomerge      ] kde-base/kde-3.5.9  USE="-accessibility"  [0]
[nomerge      ]  kde-base/kdenetwork-3.5.9  USE="kdeenablefinal kdehiddenvisibility ssl wifi xinerama -arts -debug (-jingle) -rdesktop -sametime -slp"  [0]
[ebuild     U ]   net-dialup/ppp-2.4.4-r23 [2.4.4-r22] USE="gtk ipv6 pam -activefilter -atm -dhcp -eap-tls -mppe-mppc -radius" 725 kB [0]
[ebuild   R   ] net-misc/ntp-4.2.4_p7  USE="caps ipv6 ssl -debug -openntpd -parse-clocks (-selinux) -vim-syntax% -zeroconf" 3,352 kB [0]
[ebuild     U ] net-misc/openvpn-2.0.9 [2.0.7-r2] USE="examples pam ssl -iproute2 -minimal -passwordsave (-selinux) -static -threads" 654 kB [0]
[nomerge      ] media-plugins/kipi-plugins-0.1.7  USE="calendar gphoto2 opengl tiff xinerama -debug -ipod" LINGUAS="sv -ar -be -br -ca -cs -cy -da -de -el -en_GB -es -et -fi -fr -ga -gl -hu -is -it -ja -lt -ms -mt -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -sk -sr -sr@Latn -ta -th -tr -uk -zh_CN"  [0]
[ebuild     U ]  media-sound/mpg123-1.7.3-r1 [1.7.3] USE="alsa ipv6 network sdl sse -3dnow -3dnowext (-altivec) -jack -mmx -nas -oss -portaudio -pulseaudio" 1,126 kB [0]
[nomerge      ] gnome-extra/gtkhtml-3.24.5  USE="-debug"  [0]
[ebuild     U ]  app-text/iso-codes-3.8 [3.6] 5,199 kB [0]
[ebuild     U ] sys-libs/glibc-2.9_p20081201-r2 [2.8_p20080602-r1] USE="gd nls -debug -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) -vanilla" 16,621 kB [0]
[nomerge      ] app-text/poppler-bindings-0.10.5-r1  USE="cairo gtk qt3 qt4 -test"  [0]
[ebuild  N    ]  app-text/poppler-0.10.5-r1  USE="-doc" 1,482 kB [0]
[nomerge      ] media-gfx/digikam-0.9.4  USE="kdeenablefinal kdehiddenvisibility xinerama -arts -debug -doc -nfs" LINGUAS="sv -ar -bg -br -ca -cs -cy -da -de -el -en_GB -es -et -fa -fi -fr -gl -he -hu -is -it -ja -ka -lt -mk -ms -mt -nb -nds -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -sk -sl -sr -sr@Latn -ta -th -tr -uk -vi -zh_CN -zh_TW"  [0]
[nomerge      ]  media-libs/libkexiv2-0.1.8  USE="xinerama -arts -debug"  [0]
[ebuild     U ]   media-gfx/exiv2-0.18.1 [0.18] USE="examples nls unicode zlib -doc -xmp" LINGUAS="-de -es -fi -fr -pl -ru -sk" 2,288 kB [0]
[nomerge      ] app-editors/vim-7.2  USE="acl bash-completion gpm nls perl python ruby -cscope -minimal -vim-pager -vim-with-x"  [0]
[nomerge      ]  dev-util/ctags-5.7  USE="-ada"  [0]
[ebuild     U ]   app-admin/eselect-ctags-1.10 [1.8] 8 kB [0]
[ebuild     U ] app-portage/eix-0.16.0 [0.15.4] USE="nls%* -doc -sqlite -tools%" 459 kB [0]
[ebuild     U ] app-antivirus/clamav-0.95.2 [0.95.1] USE="bzip2 iconv ipv6 -clamdtop -milter (-selinux) (-crypt%*)" 24,548 kB [0]
[ebuild     U ] media-sound/easytag-2.1.6-r1 [2.1.5] USE="aac flac mp3 vorbis -speex -wavpack" 3,227 kB [0]
[nomerge      ] media-video/gxine-0.5.903  USE="hal nls nsplugin xinerama -lirc -xcb"  [0]
[nomerge      ]  sys-apps/hal-0.5.11-r9 [0.5.11-r8] USE="X acpi crypt -apm -debug -dell -disk-partition -doc -laptop (-selinux)"  [0]
[ebuild     U ]   app-misc/hal-info-20090414 [20090309] 135 kB [0]
[ebuild     U ]    sys-apps/hal-0.5.11-r9 [0.5.11-r8] USE="X acpi crypt -apm -debug -dell -disk-partition -doc -laptop (-selinux)" 1,260 kB [0]
[blocks b     ] >=sys-fs/udev-126 (">=sys-fs/udev-126" is blocking sys-fs/cryptsetup-1.0.5-r1)
[ebuild     U ]  sys-fs/cryptsetup-1.0.6-r2 [1.0.5-r1] USE="nls -dynamic (-selinux)" 397 kB [0]
[ebuild     U ]   sys-fs/udev-141 [124-r2] USE="(-selinux)" 438 kB [0]
[nomerge      ] media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28450] USE="X a52 aac alsa amrnb* amrwb* ass cddb* cdio* cdparanoia dirac* dts dv dvd dvdnav* enca* encode esd faac%* faad%* gif gtk iconv ipv6 jpeg ladspa live mad mmx mp2 mp3 nemesi* network%* opengl png quicktime rar* real* rtc* samba schroedinger* sdl speex* sse theora tremor%* truetype unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) -arts -bidi -bindist -bl -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ftp -ggi -jack -joystick -libcaca -lirc -lzo -md5sum* -mmxext -mng -musepack -nas -openal -oss* -pnm -pulseaudio -pvr -radio -sse2 -ssse3 -svga -teletext -tga -v4l -v4l2 -vdpau% -vidix -xanim -xvmc -zoran" VIDEO_CARDS="nvidia%* vesa -mga -s3virge -tdfx"  [0]
[ebuild  N    ]  app-i18n/enca-1.9-r1  USE="-doc" 492 kB [0]
[ebuild  N    ]   app-text/recode-3.6_p15  USE="nls" 2,020 kB [0]
[ebuild  N    ]  media-libs/schroedinger-1.0.5  USE="gstreamer" 809 kB [0]
[nomerge      ] app-text/texlive-2008  USE="X png truetype xml -cjk -context -cyrillic -detex -doc -dvi2tty -dvipdfm -extra -games -graphics -humanities -jadetex -latex3 -music -omega -pstricks -publishers -science -tex4ht -xetex -xindy" LINGUAS="en sv -af -ar -bg -bn -bo -cs -cy -da -de -el -en_GB -eo -es -et -fi -fr -ga -he -hi -hr -hsb -hu -hy -id -is -it -ja -ko -la -ml -mn -nl -no -pl -pt -ro -ru -sk -sl -sr -ta -th -tr -uk -vi -zh"  [0]
[nomerge      ]  dev-texlive/texlive-htmlxml-2008  USE="-doc -source"  [0]
[nomerge      ]   dev-texlive/texlive-basic-2008  USE="-doc -source"  [0]
[nomerge      ]    dev-texlive/texlive-documentation-base-2008  USE="-source"  [0]
[nomerge      ]     app-text/texlive-core-2008-r5  USE="X tk -doc -source"  [0]
[nomerge      ]      dev-tex/luatex-0.30.3  USE="-doc"  [0]
[ebuild     U ]       virtual/poppler-0.10.7 [0.10.5] 0 kB [0]
[nomerge      ] net-print/cups-1.3.10-r1  USE="X acl dbus java jpeg ldap pam perl php png ppds python samba ssl tiff -avahi -gnutls -kerberos -slp -static -xinetd -zeroconf" LINGUAS="en sv -de -es -et -fr -he -id -it -ja -pl -zh_TW"  [0]
[ebuild  N    ]  virtual/poppler-utils-0.10.7  USE="abiword" 0 kB [0]
[nomerge      ] dev-python/qscintilla-python-2.3.2-r2 [2.3.2] USE="qt4"  [0]
[nomerge      ]  x11-libs/qscintilla-2.3.2  USE="examples python qt4 -debug -doc"  [0]
[nomerge      ]   x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster"  [0]
[blocks b     ]    <x11-libs/qt-opengl-4.5.1 ("<x11-libs/qt-opengl-4.5.1" is blocking x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1)
[nomerge      ] x11-libs/qt-svg-4.4.2  USE="-custom-cxxflags -debug -pch"  [0]
[blocks b     ]  >x11-libs/qt-sql-4.4.2-r9999 (">x11-libs/qt-sql-4.4.2-r9999" is blocking x11-libs/qt-opengl-4.4.2, x11-libs/qt-dbus-4.4.2, x11-libs/qt-svg-4.4.2, x11-libs/qt-script-4.4.2, x11-libs/qt-core-4.4.2-r2)
[ebuild     U ]   x11-libs/qt-opengl-4.5.1 [4.4.2] USE="qt3support -debug -pch (-custom-cxxflags%)" 0 kB [0]
[nomerge      ] media-gfx/inkscape-0.46-r5  USE="gnome perl spell -debug -dia -doc -inkjar -jabber -lcms -mmx -postscript -wmf"  [0]
[ebuild     U ]  virtual/poppler-glib-0.10.7 [0.10.5] USE="cairo" 0 kB [0]
[ebuild     U ] sys-apps/grep-2.5.4-r1 [2.5.1a-r1] USE="nls pcre (-static%)" 707 kB [?=>0]
[nomerge      ] virtual/poppler-utils-0.10.7  USE="abiword"  [0]
[ebuild  N    ]  app-text/poppler-utils-0.10.7  USE="abiword" 0 kB [0]
[nomerge      ] media-gfx/inkscape-0.46-r5  USE="gnome perl spell -debug -dia -doc -inkjar -jabber -lcms -mmx -postscript -wmf"  [0]
[ebuild  N    ]  dev-libs/poppler-glib-0.10.7  USE="cairo" 0 kB [0]
[nomerge      ] sci-mathematics/maxima-5.14.0  USE="X latex nls tk unicode -clisp -cmucl -emacs -gcl -sbcl -xemacs" LINGUAS="-es -pt -pt_BR"  [0]
[ebuild     U ]  x11-misc/xdg-utils-1.0.2-r3 [1.0.2-r1] USE="-doc" 276 kB [0]
[ebuild     U ]   x11-misc/shared-mime-info-0.60 [0.51] 447 kB [0]
[nomerge      ] virtual/poppler-0.10.7 [0.10.5] [0]
[ebuild  N    ]  dev-libs/poppler-0.10.7  USE="abiword poppler-data" 0 kB [0]
[ebuild     U ] media-sound/qmpdclient-1.1.0-r3 [1.1.0-r1] USE="dbus%* -debug" LINGUAS="sv -de -fr -it -nl -nn -no -pt_BR -ru -tr -uk -zh_CN -zh_TW" 329 kB [0]
[nomerge      ] app-text/poppler-bindings-0.10.5-r1  USE="cairo gtk qt3 qt4 -test"  [0]
[ebuild  N    ]  x11-libs/qt-test-4.5.1  USE="iconv -debug -pch" 0 kB [0]
[blocks b     ]   <x11-libs/qt-svg-4.5.1 ("<x11-libs/qt-svg-4.5.1" is blocking x11-libs/qt-opengl-4.5.1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1)
[ebuild     U ]    x11-libs/qt-svg-4.5.1-r1 [4.4.2] USE="iconv%* -debug -pch (-custom-cxxflags%)" 0 kB [0]
[ebuild  N    ]     x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster" 0 kB [0]
[blocks b     ]      <x11-libs/qt-script-4.5.1 ("<x11-libs/qt-script-4.5.1" is blocking x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1)
[ebuild     U ]       x11-libs/qt-script-4.5.1 [4.4.2] USE="iconv%* -debug -pch (-custom-cxxflags%)" 0 kB [0]
[blocks b     ]        <x11-libs/qt-dbus-4.5.1 ("<x11-libs/qt-dbus-4.5.1" is blocking x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1)
[ebuild     U ]         x11-libs/qt-dbus-4.5.1 [4.4.2] USE="-debug -pch (-custom-cxxflags%)" 0 kB [0]
[ebuild     U ]          x11-libs/qt-core-4.5.1 [4.4.2-r2] USE="glib iconv qt3support ssl -debug -doc -pch (-custom-cxxflags%)" 0 kB [0]
[nomerge      ] mail-filter/spamassassin-3.2.1-r1  USE="berkdb ipv6 ldap mysql ssl -doc -postgres -qmail -sqlite -tools"  [?]
[nomerge      ]  perl-core/Archive-Tar-1.40  USE="bzip2"  [0]
[nomerge      ]   perl-core/IO-Compress-2.020  [0]
[uninstall    ]     virtual/perl-IO-Compress-Bzip2-2.015  [0]
[blocks b     ]    <virtual/perl-IO-Compress-Bzip2-2.017 ("<virtual/perl-IO-Compress-Bzip2-2.017" is blocking perl-core/IO-Compress-2.020)
[ebuild     U ]     virtual/perl-IO-Compress-Bzip2-2.020 [2.015] 0 kB [0]
[nomerge      ] dev-lisp/cmucl-19d_p2  [0]
[ebuild     U ]  x11-libs/openmotif-2.3.2 [2.3.1.1] USE="examples jpeg png unicode -doc -xft" 5,803 kB [0]
[nomerge      ] virtual/x11-7.0-r2  USE="dri"  [?]
[nomerge      ]  x11-apps/xdm-1.1.8  USE="ipv6 pam -debug"  [0]
[ebuild  N    ]   x11-apps/xconsole-1.0.3-r1  USE="-debug" 97 kB [0]
[ebuild     U ] app-text/sablotron-1.0.3 [1.0.1] USE="perl (-doc%)" 594 kB [?=>0]
[ebuild   R   ] net-misc/telnet-bsd-1.2-r1  USE="nls -xinetd%" 190 kB [?=>0]
[nomerge      ] mail-filter/spamassassin-3.2.1-r1  USE="berkdb ipv6 ldap mysql ssl -doc -postgres -qmail -sqlite -tools"  [?]
[nomerge      ]  virtual/perl-Archive-Tar-1.40  [0]
[nomerge      ]   perl-core/Archive-Tar-1.40  USE="bzip2"  [0]
[nomerge      ]    virtual/perl-IO-Compress-2.020  [0]
[nomerge      ]     perl-core/IO-Compress-2.020  [0]
[blocks b     ]      <virtual/perl-Compress-Zlib-2.017 ("<virtual/perl-Compress-Zlib-2.017" is blocking perl-core/IO-Compress-2.020)
[ebuild     U ]       virtual/perl-Compress-Zlib-2.020 [2.015] 0 kB [0]
[ebuild  N    ]        virtual/perl-IO-Compress-2.020  0 kB [0]
[blocks b     ]      <virtual/perl-IO-Compress-Zlib-2.017 ("<virtual/perl-IO-Compress-Zlib-2.017" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       virtual/perl-IO-Compress-Zlib-2.015  [0]
[blocks b     ]      perl-core/IO-Compress-Bzip2 ("perl-core/IO-Compress-Bzip2" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       perl-core/IO-Compress-Bzip2-2.015  [0]
[blocks b     ]      perl-core/IO-Compress-Zlib ("perl-core/IO-Compress-Zlib" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       perl-core/IO-Compress-Zlib-2.015  USE="-test"  [0]
[blocks b     ]      perl-core/IO-Compress-Base ("perl-core/IO-Compress-Base" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       perl-core/IO-Compress-Base-2.015  USE="-test"  [0]
[blocks b     ]      <virtual/perl-IO-Compress-Base-2.017 ("<virtual/perl-IO-Compress-Base-2.017" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       virtual/perl-IO-Compress-Base-2.015  [0]
[blocks b     ]      perl-core/Compress-Zlib ("perl-core/Compress-Zlib" is blocking perl-core/IO-Compress-2.020)
[uninstall    ]       perl-core/Compress-Zlib-2.015  USE="-test"  [0]
[ebuild  N    ]     perl-core/IO-Compress-2.020  200 kB [0]
[ebuild     U ] sys-apps/sg3_utils-1.27 [1.25] 840 kB [0]
[nomerge      ] media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28450] USE="X a52 aac alsa amrnb* amrwb* ass cddb* cdio* cdparanoia dirac* dts dv dvd dvdnav* enca* encode esd faac%* faad%* gif gtk iconv ipv6 jpeg ladspa live mad mmx mp2 mp3 nemesi* network%* opengl png quicktime rar* real* rtc* samba schroedinger* sdl speex* sse theora tremor%* truetype unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) -arts -bidi -bindist -bl -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ftp -ggi -jack -joystick -libcaca -lirc -lzo -md5sum* -mmxext -mng -musepack -nas -openal -oss* -pnm -pulseaudio -pvr -radio -sse2 -ssse3 -svga -teletext -tga -v4l -v4l2 -vdpau% -vidix -xanim -xvmc -zoran" VIDEO_CARDS="nvidia%* vesa -mga -s3virge -tdfx"  [0]
[ebuild  N    ]  media-video/dirac-1.0.2  USE="-debug -doc -mmx" 897 kB [0]
[ebuild  N    ]  media-libs/speex-1.2_beta3_p2  USE="ogg sse" 1,024 kB [0]
[ebuild  N    ]  app-arch/unrar-gpl-0.0.1_p20080417  136 kB [0]
[nomerge      ] dev-perl/libwww-perl-5.805  USE="ssl"  [?]
[nomerge      ]  perl-core/IO-Compress-2.020  [0]
[ebuild     U ]   virtual/perl-Compress-Raw-Zlib-2.020 [2.015] 0 kB [0]
[ebuild     U ]   virtual/perl-Compress-Raw-Bzip2-2.020 [2.015] 0 kB [0]
[nomerge      ] media-libs/xine-lib-1.1.16.3  USE="X a52 aac alsa dts dvd esd flac gnome gtk ipv6 mad modplug musepack nls opengl samba sdl theora truetype v4l vorbis win32codecs xcb xinerama xv -aalib (-altivec) -arts -directfb -dxr3 -fbcon -imagemagick -jack -libcaca -mmap -mng -oss -pulseaudio (-real) -speex -vcd -vidix (-vis) -wavpack -xvmc"  [0]
[ebuild     U ]  media-libs/a52dec-0.7.4-r6 [0.7.4-r5] USE="-djbfft -oss" 236 kB [0]
[nomerge      ] dev-perl/Archive-Zip-1.23  [0]
[nomerge      ]  perl-core/IO-Compress-2.020  [0]
[ebuild     U ]   perl-core/Compress-Raw-Zlib-2.020 [2.015] USE="-test" 208 kB [0]
[ebuild     U ]   perl-core/Compress-Raw-Bzip2-2.020 [2.015] USE="-test" 142 kB [0]
[nomerge      ] gnome-extra/gtkhtml-3.24.5  USE="-debug"  [0]
[nomerge      ]  net-libs/libsoup-2.24.3  USE="ssl -debug -doc"  [0]
[nomerge      ]   net-libs/gnutls-2.6.6  USE="cxx nls zlib -bindist -doc -guile -lzo"  [0]
[ebuild     U ]    dev-libs/libtasn1-2.2 [1.8] USE="-doc" 1,604 kB [0]
[nomerge      ] app-admin/apache-tools-2.2.11  USE="ssl"  [0]
[ebuild     U ]  dev-libs/apr-1.3.5 [1.3.3] USE="urandom -debug -doc" 1,136 kB [0]
[ebuild     U ]  dev-libs/libpcre-7.9-r1 [7.8] USE="bzip2 cxx (unicode) zlib -doc -static-libs%" 842 kB [0]
[nomerge      ] media-sound/ardour-2.7.1  USE="nls sse (-altivec) -debug -freesound"  [0]
[ebuild     U ]  media-libs/liblo-0.26 [0.24] USE="ipv6 -doc" 508 kB [0]
[nomerge      ] virtual/pager-0  [0]
[ebuild     U ]  sys-apps/less-429 [418] USE="unicode" 492 kB [0]
[nomerge      ] net-firewall/shorewall-3.4.8  USE="-doc"  [0]
[ebuild     U ]  net-firewall/iptables-1.4.3.2 [1.4.2-r2] USE="(-l7filter%)" 423 kB [0]
[ebuild     U ] app-admin/logrotate-3.7.8 [3.7.2] USE="(-selinux)" 43 kB [?=>0]
[ebuild     U ] sci-electronics/spice-3.5.5-r1 [3.5.5] 1,345 kB [?=>0]
[nomerge      ] net-analyzer/ntop-3.3.10-r1 [3.3.9-r2] USE="ipv6 ssl tcpd"  [0]
[ebuild  N    ]  dev-libs/libevent-1.4.10  484 kB [0]
[nomerge      ] media-sound/audacious-1.5.1-r1  USE="libsamplerate nls session (-altivec) -chardet -sse2"  [0]
[nomerge      ]  media-plugins/audacious-plugins-1.5.1-r3  USE="aac alsa esd flac gnome mp3 nls sdl vorbis -adplug -arts -chardet -jack -lirc -modplug -mtp -musepack -oss -pulseaudio -scrobbler -sid -sndfile -sse2 -timidity -tta -wavpack -wma"  [0]
[ebuild     U ]   media-libs/libcddb-1.3.2 [1.3.0-r1] USE="-doc" 345 kB [0]
[nomerge      ] media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28450] USE="X a52 aac alsa amrnb* amrwb* ass cddb* cdio* cdparanoia dirac* dts dv dvd dvdnav* enca* encode esd faac%* faad%* gif gtk iconv ipv6 jpeg ladspa live mad mmx mp2 mp3 nemesi* network%* opengl png quicktime rar* real* rtc* samba schroedinger* sdl speex* sse theora tremor%* truetype unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) -arts -bidi -bindist -bl -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ftp -ggi -jack -joystick -libcaca -lirc -lzo -md5sum* -mmxext -mng -musepack -nas -openal -oss* -pnm -pulseaudio -pvr -radio -sse2 -ssse3 -svga -teletext -tga -v4l -v4l2 -vdpau% -vidix -xanim -xvmc -zoran" VIDEO_CARDS="nvidia%* vesa -mga -s3virge -tdfx"  [0]
[ebuild  N    ]  media-libs/amrnb-7.0.0.2  519 kB [0]
[ebuild  N    ]  media-libs/amrwb-7.0.0.3  467 kB [0]
[ebuild     U ]  media-libs/libpng-1.2.37 [1.2.35] 508 kB [0]
[nomerge      ] sys-libs/glibc-2.9_p20081201-r2 [2.8_p20080602-r1] USE="gd nls -debug -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) -vanilla"  [0]
[ebuild     U ]  sys-libs/timezone-data-2009g [2009c] USE="nls" 360 kB [0]
[nomerge      ] kde-base/konqueror-3.5.10  USE="branding java kdehiddenvisibility -debug"  [0]
[nomerge      ]  kde-base/kdebase-kioslaves-3.5.10-r1  USE="hal kdehiddenvisibility ldap samba -debug -openexr"  [0]
[nomerge      ]   sys-apps/hal-0.5.11-r9 [0.5.11-r8] USE="X acpi crypt -apm -debug -dell -disk-partition -doc -laptop (-selinux)"  [0]
[ebuild     U ]    sys-apps/dmidecode-2.10 [2.9] 51 kB [?=>0]
[blocks B     ]    <virtual/perl-IO-Compress-Bzip2-2.017 ("<virtual/perl-IO-Compress-Bzip2-2.017" is blocking perl-core/IO-Compress-2.020)
[blocks B     ] kde-base/khelpcenter:3.5 ("kde-base/khelpcenter:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdeartwork ("kde-base/kdeartwork" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdesu:3.5 ("kde-base/kdesu:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdeadmin ("kde-base/kdeadmin" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] dev-libs/poppler-glib ("dev-libs/poppler-glib" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B     ] kde-base/kdemultimedia ("kde-base/kdemultimedia" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdebase-data:3.5 ("kde-base/kdebase-data:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdenetwork ("kde-base/kdenetwork" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/khotkeys:3.5 ("kde-base/khotkeys:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] dev-libs/poppler-qt3 ("dev-libs/poppler-qt3" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B     ] kde-base/kdegames ("kde-base/kdegames" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdewebdev ("kde-base/kdewebdev" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdegraphics ("kde-base/kdegraphics" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kmenuedit:3.5 ("kde-base/kmenuedit:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdebase ("kde-base/kdebase" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdepim ("kde-base/kdepim" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kfind:3.5 ("kde-base/kfind:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdebase-kioslaves:3.5 ("kde-base/kdebase-kioslaves:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdetoys ("kde-base/kdetoys" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kde ("kde-base/kde" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kcminit:3.5 ("kde-base/kcminit:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdeutils ("kde-base/kdeutils" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeaddons ("kde-base/kdeaddons" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-glib-0.10.7, dev-libs/poppler-0.10.7, dev-libs/poppler-qt3-0.10.7, app-text/poppler-utils-0.10.7)
[blocks B     ] kde-base/kdeaccessibility ("kde-base/kdeaccessibility" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] =kde-base/kdebase-3.5* ("=kde-base/kdebase-3.5*" is blocking kde-base/kmenuedit-3.5.10, kde-base/kdialog-3.5.10, kde-base/kdebase-kioslaves-3.5.10-r1, kde-base/kicker-3.5.10-r1, kde-base/kdebase-data-3.5.10, kde-base/kfind-3.5.10, kde-base/kcminit-3.5.10, kde-base/kdesu-3.5.10, kde-base/konqueror-3.5.10, kde-base/khotkeys-3.5.10, kde-base/khelpcenter-3.5.10, kde-base/libkonq-3.5.10, kde-base/kcontrol-3.5.10)
[blocks B     ] kde-base/kdialog:3.5 ("kde-base/kdialog:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/konqueror:3.5 ("kde-base/konqueror:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B     ] kde-base/kdeedu ("kde-base/kdeedu" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-glib-0.10.7, dev-libs/poppler-0.10.7, dev-libs/poppler-qt3-0.10.7, app-text/poppler-utils-0.10.7)
[blocks B     ] kde-base/libkonq:3.5 ("kde-base/libkonq:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kicker:3.5 ("kde-base/kicker:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kcontrol:3.5 ("kde-base/kcontrol:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] app-text/poppler-utils ("app-text/poppler-utils" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)

Total: 114 packages (71 upgrades, 36 new, 5 in new slots, 2 reinstalls, 11 uninstalls), Size of downloads: 405,387 kB
Conflict: 62 blocks (35 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [?] indicates that the source repository could not be determined

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdeutils-3.5.9-r1', 'nomerge') pulled in by
    kde-base/kdeutils required by world
    ~kde-base/kdeutils-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')

  ('ebuild', '/', 'dev-libs/poppler-qt3-0.10.7', 'merge') pulled in by
    ~dev-libs/poppler-qt3-0.10.7 required by ('ebuild', '/', 'virtual/poppler-qt3-0.10.7', 'merge')
    ~dev-libs/poppler-qt3-0.10.7 required by ('installed', '/', 'kde-base/kdegraphics-3.5.9', 'nomerge')

  ('installed', '/', 'app-text/poppler-bindings-0.10.5-r1', 'nomerge') pulled in by
    app-text/poppler-bindings required by world

  ('installed', '/', 'kde-base/kdemultimedia-3.5.9', 'nomerge') pulled in by
    kde-base/kdemultimedia required by world
    ~kde-base/kdemultimedia-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    ~kde-base/kdemultimedia-3.5.9 required by ('installed', '/', 'kde-base/kdeaddons-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kdegames-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdegames-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    kde-base/kdegames required by world
    ~kde-base/kdegames-3.5.9 required by ('installed', '/', 'kde-base/kdeaddons-3.5.9', 'nomerge')

  ('ebuild', '/', 'dev-libs/poppler-glib-0.10.7', 'merge') pulled in by
    ~dev-libs/poppler-glib-0.10.7[cairo] required by ('ebuild', '/', 'virtual/poppler-glib-0.10.7', 'merge')
    ~dev-libs/poppler-glib-0.10.7[cairo] required by ('installed', '/', 'app-text/evince-2.24.2', 'nomerge')
    ~dev-libs/poppler-glib-0.10.7[cairo] required by ('installed', '/', 'media-gfx/inkscape-0.46-r5', 'nomerge')
    (and 1 more)

  ('ebuild', '/', 'kde-base/konqueror-3.5.10', 'merge') pulled in by
    kde-base/konqueror:3.5 required by ('ebuild', '/', 'media-sound/amarok-1.4.10_p20090130-r2', 'merge')

  ('installed', '/', 'kde-base/kdeadmin-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdeadmin-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    kde-base/kdeadmin required by world

  ('ebuild', '/', 'dev-libs/poppler-0.10.7', 'merge') pulled in by
    ~dev-libs/poppler-0.10.7 required by ('ebuild', '/', 'dev-libs/poppler-glib-0.10.7', 'merge')
    ~dev-libs/poppler-0.10.7 required by ('installed', '/', 'dev-tex/luatex-0.30.3', 'nomerge')
    ~dev-libs/poppler-0.10.7 required by ('ebuild', '/', 'virtual/poppler-0.10.7', 'merge')
    (and 2 more)

  ('ebuild', '/', 'kde-base/kdebase-kioslaves-3.5.10-r1', 'merge') pulled in by
    >=kde-base/kdebase-kioslaves-3.5.9 required by ('installed', '/', 'app-antivirus/klamav-0.46', 'nomerge')
    >=kde-base/kdebase-kioslaves-3.5.10:3.5 required by ('ebuild', '/', 'kde-base/khelpcenter-3.5.10', 'merge')
    >=kde-base/kdebase-kioslaves-3.5.10:3.5 required by ('ebuild', '/', 'kde-base/konqueror-3.5.10', 'merge')

  ('installed', '/', 'kde-base/kdewebdev-3.5.9', 'nomerge') pulled in by
    kde-base/kdewebdev required by world
    ~kde-base/kdewebdev-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kdebase-3.5.9-r4', 'nomerge') pulled in by
    kde-base/kdebase required by world
    kde-base/kdebase:3.5 required by ('ebuild', '/', 'net-misc/smb4k-0.9.9', 'merge')
    ~kde-base/kdebase-3.5.9 required by ('installed', '/', 'kde-base/kdenetwork-3.5.9', 'nomerge')
    (and 7 more)

  ('installed', '/', 'kde-base/kdeaccessibility-3.5.9', 'nomerge') pulled in by
    kde-base/kdeaccessibility required by world

  ('installed', '/', 'kde-base/kdeedu-3.5.9', 'nomerge') pulled in by
    kde-base/kdeedu required by world
    ~kde-base/kdeedu-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kdegraphics-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdegraphics-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    =kde-base/kdegraphics-3.5* required by ('installed', '/', 'media-gfx/digikam-0.9.4', 'nomerge')
    kde-base/kdegraphics required by world

  ('installed', '/', 'kde-base/kdeaddons-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdeaddons-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    kde-base/kdeaddons required by world

  ('installed', '/', 'kde-base/kdeartwork-3.5.9', 'nomerge') pulled in by
    kde-base/kdeartwork required by world
    ~kde-base/kdeartwork-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge') pulled in by
    kde-base/kde required by world

  ('installed', '/', 'kde-base/kdetoys-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdetoys-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    kde-base/kdetoys required by world

  ('ebuild', '/', 'app-text/poppler-utils-0.10.7', 'merge') pulled in by
    ~app-text/poppler-utils-0.10.7[abiword] required by ('ebuild', '/', 'virtual/poppler-utils-0.10.7', 'merge')
    ~app-text/poppler-utils-0.10.7[abiword] required by ('installed', '/', 'net-print/cups-1.3.10-r1', 'nomerge')

  ('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
    =kde-base/kdelibs-3.5* required by ('ebuild', '/', 'app-cdr/k3b-1.0.5-r5', 'merge')
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/libkonq-3.5.10', 'merge')
    =kde-base/kdelibs-3.5* required by ('installed', '/', 'kde-misc/kdissert-1.0.7', 'nomerge')
    (and 34 more)

  ('installed', '/', 'kde-base/kdepim-3.5.9-r1', 'nomerge') pulled in by
    ~kde-base/kdepim-3.5.9 required by ('installed', '/', 'kde-base/kdeaddons-3.5.9', 'nomerge')
    kde-base/kdepim required by world
    kde-base/kdepim:3.5 required by ('installed', '/', 'media-plugins/kipi-plugins-0.1.7', 'nomerge')
    (and 1 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


!!! The following installed packages are masked:
- perl-core/ExtUtils-MakeMaker-6.20 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Torsten Veller <tove@gentoo.org> (27 May 2009)
# PDEPEND on more dual life modules that also install
# into scriptdir
# Masked until perl-5.8.8-r6 is stable for amd64 and x86

- sys-kernel/gentoo-sources-2.6.27-r8 (masked by: package.mask)
/etc/portage/package.mask:
#=media-video/nvidia-glx-1.0.6629
#>sys-kernel/linux-headers-2.6.8.1-r1

- sys-apps/ddcxinfo-knoppix-0.6 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Diego E. Pettenò <flameeyes@gentoo.org> (16 Jun 2009)
#  on behalf of QA Team
#
# Fails to build with not even recent Linux headers.
# See bug #248388
#
# Removal pending 16 August 2009

- sys-kernel/gentoo-sources-2.6.22-r2 (masked by: package.mask)
- x11-libs/liboldX-1.0.1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Rémi Cardona <remi@gentoo.org> (16 Jun 2009)
# will be treecleaned in 30 days, it's just beyond useless

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.




I don't dare restarting now because I think KDE will never start again.
Any one that can give me an idea? :cry:


Last edited by larand54 on Sun Jun 28, 2009 8:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Jun 28, 2009 3:39 pm    Post subject: Reply with quote

Your post is kinda useless

post the full emerge -uDNavt world output

and this has nothing to do with qt blocks btw
Back to top
View user's profile Send private message
larand54
l33t
l33t


Joined: 20 Feb 2004
Posts: 688
Location: Sweden

PostPosted: Sun Jun 28, 2009 8:29 pm    Post subject: Reply with quote

I replaced the old "useless list" with a list from "emerge -uDavNt world" just to avoid filling this list with garbage ;-)

qt-blocks where there from the beginning but after some work they disapeared but these was left and could possibly have some things in common.

Would be greate if you or someone could give me a clue..
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Jun 28, 2009 8:49 pm    Post subject: Reply with quote

You need to migrate your kde3 installation into split ebuilds

http://www.gentoo.org/proj/en/desktop/kde/kde-config.xml
Back to top
View user's profile Send private message
mikegpitt
Advocate
Advocate


Joined: 22 May 2004
Posts: 3200

PostPosted: Fri Jul 03, 2009 7:26 pm    Post subject: Reply with quote

When I first looked at my `emerge -DupN world` and saw this update I was pretty frustrated, but in reality it shouldn't be a major issue for anyone updating, even though it looks messy.

This is what I needed to do to resolve the issue:
Code:
emerge -C x11-libs/qt:4
emerge -C x11-libs/qt-core x11-libs/qt-dbus x11-libs/qt-script x11-libs/qt-sql x11-libs/qt-gui x11-libs/qt-qt3support x11-libs/qt-xmlpatterns x11-libs/qt-assistant x11-libs/qt-test x11-libs/qt-webkit x11-libs/qt-opengl x11-libs/qt-svg
emerge -1 qt-core


Technically instead of the `emerge -1 qt-core` I did an `emerge -DupN wpa_supplicant`, since I needed to update that package as well, but either command should have the same outcome.

BTW - I was updating from qt-4.4.2 to 4.5.1.
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Tue Jul 07, 2009 6:23 am    Post subject: Reply with quote

I unmerging the blockers but portage wants to emerge them again and then complains that they block things.
Code:

emerge -av -uDN world
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/timezone-data-2009g [2009c] USE="nls" 360 kB
[ebuild     U ] media-sound/alsa-headers-1.0.19 [1.0.18] 2,829 kB
[ebuild     U ] net-firewall/arno-iptables-firewall-1.9.2a [1.9.0_beta3] USE="plugins" 94 kB
[ebuild     U ] app-admin/logrotate-3.7.8 [3.7.2] USE="(-selinux)" 43 kB
[ebuild     U ] dev-libs/libtasn1-2.2 [1.8] USE="-doc" 1,604 kB
[ebuild     U ] dev-perl/IO-Socket-SSL-1.26 [1.24] USE="-idn%" 64 kB
[ebuild     U ] dev-db/mysql-5.0.83 [5.0.76-r1] USE="berkdb community%* embedded perl ssl -big-tables -cluster -debug -extraengine -latin1 -max-idx-128 -minimal -profiling% (-selinux) -static" 35,580 kB
[ebuild  N    ] x11-libs/qt-core-4.5.2  USE="glib iconv qt3support ssl -debug -doc -pch" 113,297 kB
[ebuild  N    ] x11-libs/qt-script-4.5.2  USE="iconv -debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-sql-4.5.2  USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[ebuild  N    ] x11-libs/qt-dbus-4.5.2  USE="-debug -pch" 0 kB
[ebuild     U ] app-crypt/qca-2.0.2-r2 [2.0.2-r1] USE="-debug -doc -examples" 0 kB
[ebuild  N    ] x11-libs/qt-gui-4.5.2  USE="accessibility cups dbus glib qt3support tiff xinerama -debug -gtk -mng -nas -nis -pch -raster" 0 kB
[ebuild  N    ] x11-libs/qt-qt3support-4.5.2  USE="accessibility kde -debug -pch -phonon" 0 kB
[ebuild  N    ] x11-libs/qt-svg-4.5.2  USE="iconv -debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-core-4.5.1  USE="glib iconv qt3support ssl -debug -doc -pch" 0 kB
[ebuild  N    ] x11-libs/qt-test-4.5.1  USE="iconv -debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-dbus-4.5.1  USE="-debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-script-4.5.1  USE="iconv -debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-sql-4.5.1  USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[ebuild  N    ] x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster" 0 kB
[ebuild  N    ] x11-libs/qt-qt3support-4.5.1  USE="accessibility kde -debug -pch -phonon" 0 kB
[ebuild     U ] app-admin/sysstat-9.0.3-r1 [9.0.2] USE="nls" 287 kB
[ebuild  N    ] app-admin/eselect-python-20080925  2 kB
[ebuild     U ] dev-util/git-1.6.3.3 [1.6.0.6] USE="bash-completion iconv perl tk -cgi -curl -cvs -doc -emacs -gtk -mozsha1 (-ppcsha1) -subversion -threads -webdav -xinetd (-vim-syntax%*)" 2,252 kB
[ebuild   R   ] dev-util/subversion-1.6.2  USE="bash-completion berkdb dso nls perl python ruby vim-syntax webdav-neon -apache2* -ctypes-python -debug -doc -emacs -extras -gnome-keyring -java -sasl -test -webdav-serf" 0 kB
[ebuild  N    ] x11-libs/qt-opengl-4.5.1  USE="qt3support -debug -pch" 0 kB
[ebuild     U ] dev-lang/python-2.5.4-r3 [2.5.4-r2] USE="berkdb gdbm ncurses readline ssl threads tk xml -build -doc -examples -ipv6 -sqlite -ucs2 -wininst" 21 kB
[ebuild     U ] media-libs/alsa-lib-1.0.19 [1.0.18] USE="midi python -alisp -debug -doc" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" 775 kB
[ebuild     U ] dev-java/java-config-2.1.8-r1 [2.1.7] 56 kB
[ebuild     U ] app-portage/autounmask-0.27 [0.23] 4 kB
[ebuild     U ] app-portage/gentoolkit-0.2.4.5 [0.2.4.2-r1] 87 kB
[ebuild     U ] media-sound/alsa-utils-1.0.19-r2 [1.0.18] USE="midi nls -doc% -minimal" 1,017 kB
[ebuild     U ] net-proxy/squid-3.0.15 [3.0.14-r2] USE="pam ssl -caps% -epoll -icap-client (-ipf-transparent) -kerberos -kqueue -ldap -logrotate -mysql -nis (-pf-transparent) -postgres -radius -samba -sasl (-selinux) -snmp -sqlite -zero-penalty-hit" 2,385 kB
[ebuild     U ] app-cdr/cdrkit-1.1.9-r1 [1.1.9] USE="unicode -hfs" 0 kB
[ebuild     U ] app-misc/hal-info-20090414 [20090309] 135 kB
[ebuild     U ] kde-base/libkdenetwork-3.5.10-r1 [3.5.10] USE="-debug" 0 kB
[ebuild     U ] kde-base/certmanager-3.5.10-r1 [3.5.10] USE="-debug" 0 kB
[ebuild     U ] dev-libs/soprano-2.2.4 [2.2.2] USE="clucene dbus java raptor redland -debug -doc" 1,807 kB
[ebuild     U ] dev-libs/cyrus-sasl-2.1.23 [2.1.22-r2] USE="berkdb crypt gdbm java pam ssl -authdaemond -kerberos -ldap -mysql -ntlm_unsupported_patch -postgres -sample -srp -urandom" 1,576 kB
[ebuild     U ] dev-java/log4j-1.2.15-r2 [1.2.15-r1] USE="-doc -javamail -jms -jmx -source" 0 kB
[ebuild     U ] net-dns/libidn-1.14 [1.13] USE="java nls -doc -emacs -mono" 2,519 kB
[ebuild     U ] net-libs/xulrunner-1.9.0.11-r1 [1.9.0.11] USE="dbus java startup-notification -custom-optimization -gnome" 0 kB
[ebuild  N    ] media-sound/amarok-1.4.10_p20090130-r2  USE="amazon kde musicbrainz mysql opengl python visualization xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real)" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW" 4 kB
[ebuild     U ] media-sound/xineadump-0.1-r1 [0.1] 0 kB
[ebuild  N    ] x11-libs/qt-webkit-4.5.1  USE="kde -debug -pch" 0 kB
[ebuild  NS   ] media-sound/transkode-0.7-r2 [0.7] USE="amarok ffmpeg gstreamer mplayer xine xinerama -debug -wavpack" 0 kB
[uninstall    ] media-sound/transkode-0.7  USE="amarok ffmpeg gstreamer mplayer xine xinerama -debug -wavpack"
[blocks b     ] media-sound/transkode:0 ("media-sound/transkode:0" is blocking media-sound/transkode-0.7-r2)
[ebuild     U ] sys-libs/glibc-2.9_p20081201-r2 [2.8_p20080602-r1] USE="(multilib) nls -debug -gd -glibc-omitfp (-hardened) -profile (-selinux) -vanilla" 16,621 kB
[ebuild   R   ] sys-devel/gcc-4.3.2-r3  USE="fortran mudflap (multilib) nls nptl%* objc openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -gtk (-hardened) -ip28 -ip32r10k -libffi -multislot (-n32) (-n64) -nocxx -nopie -objc++ -objc-gc -test -vanilla" 0 kB
[blocks B     ] >x11-libs/qt-qt3support-4.5.1-r9999 (">x11-libs/qt-qt3support-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-script-4.5.1-r9999 (">x11-libs/qt-script-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-sql-4.5.1-r9999 (">x11-libs/qt-sql-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] <x11-libs/qt-dbus-4.5.2 ("<x11-libs/qt-dbus-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] <x11-libs/qt-opengl-4.5.2 ("<x11-libs/qt-opengl-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-core-4.5.1-r9999 (">x11-libs/qt-core-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-svg-4.5.1-r9999 (">x11-libs/qt-svg-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] <x11-libs/qt-webkit-4.5.2 ("<x11-libs/qt-webkit-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-gui-4.5.1-r9999 (">x11-libs/qt-gui-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] <x11-libs/qt-test-4.5.2 ("<x11-libs/qt-test-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)

Total: 49 packages (28 upgrades, 18 new, 1 in new slot, 2 reinstalls, 1 uninstall), Size of downloads: 183,409 kB
Conflict: 11 blocks (10 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'x11-libs/qt-script-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kdebase-data-4.2.4-r1', 'nomerge')
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kmail-4.2.4', 'nomerge')
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kreadconfig-4.2.4', 'nomerge')
    (and 103 more)

  ('ebuild', '/', 'x11-libs/qt-sql-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-sql-4.5.1:4[qt3support] required by ('installed', '/', 'kde-base/kdeartwork-wallpapers-4.2.4', 'nomerge')
    x11-libs/qt-sql:4[sqlite] required by ('installed', '/', 'dev-db/sqliteman-1.2.1', 'nomerge')
    >=x11-libs/qt-sql-4.5.1:4[qt3support] required by ('installed', '/', 'kde-base/renamedlg-plugins-4.2.4', 'nomerge')
    (and 105 more)

  ('ebuild', '/', 'x11-libs/qt-qt3support-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/kcontrol-4.2.4', 'nomerge')
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/kpat-4.2.4', 'nomerge')
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/ksplash-4.2.4', 'nomerge')
    (and 102 more)

  ('ebuild', '/', 'x11-libs/qt-test-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/ksplash-4.2.4', 'nomerge')
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/kdebase-desktoptheme-4.2.4', 'nomerge')
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/kde-menu-icons-4.2.4', 'nomerge')
    (and 105 more)

  ('ebuild', '/', 'x11-libs/qt-gui-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/libkexiv2-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kode-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kurifilter-plugins-4.2.4', 'nomerge')
    (and 113 more)

  ('ebuild', '/', 'x11-libs/qt-dbus-4.5.1', 'merge') pulled in by
    ~x11-libs/qt-dbus-4.5.1[-debug] required by ('ebuild', '/', 'x11-libs/qt-gui-4.5.1-r2', 'merge')
    x11-libs/qt-dbus:4 required by ('ebuild', '/', 'dev-libs/soprano-2.2.4', 'merge')
    >=x11-libs/qt-dbus-4.5.1:4 required by ('installed', '/', 'dev-python/PyQt4-4.5.1', 'nomerge')
    (and 3 more)

  ('ebuild', '/', 'x11-libs/qt-svg-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/kuiserver-4.2.4', 'nomerge')
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/khotkeys-4.2.4', 'nomerge')
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/kdelibs-4.2.4-r3', 'nomerge')
    (and 102 more)

  ('ebuild', '/', 'x11-libs/qt-webkit-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-webkit-4.5.1:4 required by ('installed', '/', 'kde-base/kdelibs-4.2.4-r3', 'nomerge')
    >=x11-libs/qt-webkit-4.5.1:4 required by ('installed', '/', 'dev-python/PyQt4-4.5.1', 'nomerge')

  ('ebuild', '/', 'x11-libs/qt-core-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/khelpcenter-4.2.4', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/ksystraycmd-4.2.4', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/kappfinder-4.2.4', 'nomerge')
    (and 113 more)

  ('ebuild', '/', 'x11-libs/qt-opengl-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/krunner-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kwin-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kscreensaver-4.2.4', 'nomerge')
    (and 8 more)
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jul 07, 2009 7:44 am    Post subject: Reply with quote

probably you have forgotten to keyword some modules

paste a full emerge -uDNavt world ouput
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Tue Jul 07, 2009 3:18 pm    Post subject: Reply with quote

Code:
$ emerge -uDNavt world       

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R   ] sys-devel/gcc-4.3.2-r3  USE="fortran mudflap (multilib) nls nptl%* objc openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -gtk (-hardened) -ip28 -ip32r10k -libffi -multislot (-n32) (-n64) -nocxx -nopie -objc++ -objc-gc -test -vanilla" 0 kB
[ebuild     U ]  sys-libs/glibc-2.9_p20081201-r2 [2.8_p20080602-r1] USE="(multilib) nls -debug -gd -glibc-omitfp (-hardened) -profile (-selinux) -vanilla" 16,621 kB
[nomerge      ] dev-java/ant-1.7.1  USE="X antlr bcel bsf commonslogging commonsnet javamail jdepend jsch log4j oro regexp resolver -jai -jmf"
[nomerge      ]  dev-java/ant-apache-log4j-1.7.1
[ebuild     U ]   dev-java/log4j-1.2.15-r2 [1.2.15-r1] USE="-doc -javamail -jms -jmx -source" 0 kB
[ebuild     U ] net-libs/xulrunner-1.9.0.11-r1 [1.9.0.11] USE="dbus java startup-notification -custom-optimization -gnome" 0 kB
[nomerge      ] net-misc/whois-4.7.30  USE="nls"
[ebuild     U ]  net-dns/libidn-1.14 [1.13] USE="java nls -doc -emacs -mono" 2,519 kB
[nomerge      ] media-sound/transkode-0.7-r2 [0.7] USE="amarok ffmpeg gstreamer mplayer xine xinerama -debug -wavpack"
[blocks b     ]  media-sound/transkode:0 ("media-sound/transkode:0" is blocking media-sound/transkode-0.7-r2)
[uninstall    ]   media-sound/transkode-0.7  USE="amarok ffmpeg gstreamer mplayer xine xinerama -debug -wavpack"
[ebuild  NS   ] media-sound/transkode-0.7-r2 [0.7] USE="amarok ffmpeg gstreamer mplayer xine xinerama -debug -wavpack" 0 kB
[ebuild     U ]  media-sound/xineadump-0.1-r1 [0.1] 0 kB
[ebuild  N    ]  media-sound/amarok-1.4.10_p20090130-r2  USE="amazon kde musicbrainz mysql opengl python visualization xinerama -daap -debug -ifp -ipod -mp4 -mtp -njb -postgres (-real)" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW" 4 kB
[nomerge      ] dev-python/PyQt4-4.5.1  USE="X dbus kde opengl svg webkit -assistant -debug -doc -examples -phonon -sql -xmlpatterns"
[ebuild  N    ]  x11-libs/qt-webkit-4.5.1  USE="kde -debug -pch" 0 kB
[nomerge      ] kde-base/kcontrol-4.2.4  USE="handbook -debug (-kdeprefix)"
[nomerge      ]  kde-base/kdnssd-4.2.4  USE="-debug (-kdeprefix) -zeroconf"
[nomerge      ]   kde-base/kdepimlibs-4.2.4-r1  USE="handbook sasl -debug (-kdeprefix) -ldap -test"
[ebuild     U ]    dev-libs/cyrus-sasl-2.1.23 [2.1.22-r2] USE="berkdb crypt gdbm java pam ssl -authdaemond -kerberos -ldap -mysql -ntlm_unsupported_patch -postgres -sample -srp -urandom" 1,576 kB
[nomerge      ] kde-base/nepomuk-4.2.4  USE="-debug (-kdeprefix)"
[ebuild     U ]  dev-libs/soprano-2.2.4 [2.2.2] USE="clucene dbus java raptor redland -debug -doc" 1,807 kB
[nomerge      ] kde-base/kmail-3.5.10  USE="crypt -debug"
[ebuild     U ]  kde-base/certmanager-3.5.10-r1 [3.5.10] USE="-debug" 0 kB
[ebuild     U ]   kde-base/libkdenetwork-3.5.10-r1 [3.5.10] USE="-debug" 0 kB
[nomerge      ] app-cdr/k3b-1.0.5-r5  USE="alsa dvd dvdr encode ffmpeg flac hal mp3 musicbrainz vorbis xinerama -arts -css -debug -emovix -musepack -sndfile -vcd" LINGUAS="-af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -it -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -se -sk -sr -sr@Latn -sv -ta -tr -uk -uz -zh_CN -zh_TW"
[ebuild     U ]  app-cdr/cdrkit-1.1.9-r1 [1.1.9] USE="unicode -hfs" 0 kB
[ebuild     U ] app-portage/gentoolkit-0.2.4.5 [0.2.4.2-r1] 87 kB
[ebuild     U ] net-proxy/squid-3.0.15 [3.0.14-r2] USE="pam ssl -caps% -epoll -icap-client (-ipf-transparent) -kerberos -kqueue -ldap -logrotate -mysql -nis (-pf-transparent) -postgres -radius -samba -sasl (-selinux) -snmp -sqlite -zero-penalty-hit" 2,385 kB
[ebuild     U ] app-portage/autounmask-0.27 [0.23] 4 kB
[ebuild     U ] app-admin/sysstat-9.0.3-r1 [9.0.2] USE="nls" 287 kB
[ebuild     U ] media-sound/alsa-utils-1.0.19-r2 [1.0.18] USE="midi nls -doc% -minimal" 1,017 kB
[ebuild     U ] dev-util/git-1.6.3.3 [1.6.0.6] USE="bash-completion iconv perl tk -cgi -curl -cvs -doc -emacs -gtk -mozsha1 (-ppcsha1) -subversion -threads -webdav -xinetd (-vim-syntax%*)" 2,252 kB
[ebuild   R   ] dev-util/subversion-1.6.2  USE="bash-completion berkdb dso nls perl python ruby vim-syntax webdav-neon -apache2* -ctypes-python -debug -doc -emacs -extras -gnome-keyring -java -sasl -test -webdav-serf" 0 kB
[nomerge      ] sys-apps/hal-0.5.11-r9  USE="X acpi crypt -apm -debug -dell -disk-partition -doc -laptop (-selinux)"
[ebuild     U ]  app-misc/hal-info-20090414 [20090309] 135 kB
[nomerge      ] dev-java/ant-1.7.1  USE="X antlr bcel bsf commonslogging commonsnet javamail jdepend jsch log4j oro regexp resolver -jai -jmf"
[nomerge      ]  dev-java/ant-apache-bsf-1.7.1-r1  USE="python -javascript -tcl"
[nomerge      ]   dev-java/bsf-2.4.0-r1  USE="python -doc -examples -javascript -source -tcl"
[nomerge      ]    dev-java/xalan-2.7.1  USE="-doc -source"
[ebuild     U ]     dev-java/java-config-2.1.8-r1 [2.1.7] 56 kB
[nomerge      ] media-tv/xbmc-9999  USE="alsa opengl vdpau -debug -joystick -profile -pulseaudio"
[nomerge      ]  media-libs/sdl-sound-1.0.3  USE="flac mikmod mp3 mpeg vorbis -physfs -speex"
[nomerge      ]   media-libs/libmikmod-3.1.11-r4  USE="alsa -esd -oss"
[ebuild     U ]    media-libs/alsa-lib-1.0.19 [1.0.18] USE="midi python -alisp -debug -doc" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" 775 kB
[ebuild     U ]     dev-lang/python-2.5.4-r3 [2.5.4-r2] USE="berkdb gdbm ncurses readline ssl threads tk xml -build -doc -examples -ipv6 -sqlite -ucs2 -wininst" 21 kB
[nomerge      ] kde-base/plasma-workspace-4.2.4  USE="handbook python xcomposite xinerama -debug -google-gadgets (-kdeprefix) -rss"
[nomerge      ]  kde-base/pykde4-4.2.4-r2  USE="semantic-desktop -akonadi -debug -examples (-kdeprefix)"
[ebuild  N    ]   x11-libs/qt-opengl-4.5.1  USE="qt3support -debug -pch" 0 kB
[nomerge      ] dev-java/ant-1.7.1  USE="X antlr bcel bsf commonslogging commonsnet javamail jdepend jsch log4j oro regexp resolver -jai -jmf"
[nomerge      ]  dev-java/ant-apache-regexp-1.7.1
[nomerge      ]   dev-java/java-config-2.1.8-r1 [2.1.7]
[nomerge      ]    dev-lang/python-2.5.4-r3 [2.5.4-r2] USE="berkdb gdbm ncurses readline ssl threads tk xml -build -doc -examples -ipv6 -sqlite -ucs2 -wininst"
[ebuild  N    ]     app-admin/eselect-python-20080925  2 kB
[nomerge      ] kde-base/okular-4.2.4  USE="crypt handbook jpeg pdf ps tiff -chm -debug -djvu -ebook (-kdeprefix)"
[ebuild     U ]  app-crypt/qca-2.0.2-r2 [2.0.2-r1] USE="-debug -doc -examples" 0 kB
[nomerge      ] kde-base/kwin-4.2.4  USE="opengl xcomposite xinerama -captury -debug (-kdeprefix)"
[nomerge      ]  kde-base/kdelibs-4.2.4-r3  USE="3dnow alsa bzip2 fam handbook mmx nls opengl semantic-desktop spell sse sse2 ssl -acl (-altivec) -bindist -debug -doc -jpeg2k (-kdeprefix) -kerberos -openexr -test -zeroconf"
[nomerge      ]   x11-libs/qt-webkit-4.5.1  USE="kde -debug -pch"
[nomerge      ]    x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster"
[ebuild  N    ]     x11-libs/qt-qt3support-4.5.1  USE="accessibility kde -debug -pch -phonon" 0 kB
[ebuild  N    ]      x11-libs/qt-sql-4.5.1  USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[ebuild  N    ]      x11-libs/qt-gui-4.5.1-r2  USE="accessibility cups dbus glib gtkstyle qt3support tiff xinerama -debug -mng -nas -nis -pch -raster" 0 kB
[ebuild  N    ]       x11-libs/qt-script-4.5.1  USE="iconv -debug -pch" 0 kB
[ebuild  N    ]       x11-libs/qt-dbus-4.5.1  USE="-debug -pch" 0 kB
[ebuild  N    ]   x11-libs/qt-test-4.5.1  USE="iconv -debug -pch" 0 kB
[ebuild  N    ]    x11-libs/qt-core-4.5.1  USE="glib iconv qt3support ssl -debug -doc -pch" 0 kB
[ebuild  N    ]   x11-libs/qt-svg-4.5.2  USE="iconv -debug -pch" 113,297 kB
[ebuild  N    ]   x11-libs/qt-qt3support-4.5.2  USE="accessibility kde -debug -pch -phonon" 0 kB
[ebuild  N    ]    x11-libs/qt-gui-4.5.2  USE="accessibility cups dbus glib qt3support tiff xinerama -debug -gtk -mng -nas -nis -pch -raster" 0 kB
[ebuild  N    ]     x11-libs/qt-dbus-4.5.2  USE="-debug -pch" 0 kB
[ebuild  N    ]    x11-libs/qt-sql-4.5.2  USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[ebuild  N    ]   x11-libs/qt-script-4.5.2  USE="iconv -debug -pch" 0 kB
[ebuild  N    ]    x11-libs/qt-core-4.5.2  USE="glib iconv qt3support ssl -debug -doc -pch" 0 kB
[nomerge      ] app-editors/gvim-7.2  USE="bash-completion gnome gpm gtk nls perl python ruby -acl (-aqua) -cscope -motif -netbeans -nextaw"
[nomerge      ]  gnome-base/libgnomeui-2.24.1  USE="-doc"
[nomerge      ]   gnome-base/libgnome-2.24.1  USE="-debug -doc -esd"
[nomerge      ]    gnome-base/gvfs-1.0.3-r2  USE="bash-completion hal -archive -avahi -bluetooth -cdda -debug -doc -fuse -gnome -gnome-keyring -gphoto2 -samba"
[nomerge      ]     net-libs/libsoup-2.26.2  USE="ssl -debug -doc -gnome"
[nomerge      ]      net-libs/gnutls-2.6.6  USE="cxx nls zlib -bindist -doc -guile -lzo"
[ebuild     U ]       dev-libs/libtasn1-2.2 [1.8] USE="-doc" 1,604 kB
[ebuild     U ] net-firewall/arno-iptables-firewall-1.9.2a [1.9.0_beta3] USE="plugins" 94 kB
[ebuild     U ] app-admin/logrotate-3.7.8 [3.7.2] USE="(-selinux)" 43 kB
[ebuild     U ] dev-db/mysql-5.0.83 [5.0.76-r1] USE="berkdb community%* embedded perl ssl -big-tables -cluster -debug -extraengine -latin1 -max-idx-128 -minimal -profiling% (-selinux) -static" 35,580 kB
[nomerge      ] dev-util/git-1.6.3.3 [1.6.0.6] USE="bash-completion iconv perl tk -cgi -curl -cvs -doc -emacs -gtk -mozsha1 (-ppcsha1) -subversion -threads -webdav -xinetd (-vim-syntax%*)"
[nomerge      ]  dev-perl/Net-SMTP-SSL-1.01
[ebuild     U ]   dev-perl/IO-Socket-SSL-1.26 [1.24] USE="-idn%" 64 kB
[nomerge      ] app-emulation/kvm-85-r2  USE="alsa bluetooth gnutls modules ncurses sdl -esd -havekernel -pulseaudio -vde"
[nomerge      ]  media-libs/alsa-lib-1.0.19 [1.0.18] USE="midi python -alisp -debug -doc" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
[ebuild     U ]   media-sound/alsa-headers-1.0.19 [1.0.18] 2,829 kB
[ebuild     U ] sys-libs/timezone-data-2009g [2009c] USE="nls" 360 kB
[blocks B     ] <x11-libs/qt-test-4.5.2 ("<x11-libs/qt-test-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-gui-4.5.1-r9999 (">x11-libs/qt-gui-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] <x11-libs/qt-webkit-4.5.2 ("<x11-libs/qt-webkit-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-svg-4.5.1-r9999 (">x11-libs/qt-svg-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-core-4.5.1-r9999 (">x11-libs/qt-core-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] <x11-libs/qt-opengl-4.5.2 ("<x11-libs/qt-opengl-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] <x11-libs/qt-dbus-4.5.2 ("<x11-libs/qt-dbus-4.5.2" is blocking x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-sql-4.5.1-r9999 (">x11-libs/qt-sql-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-script-4.5.1-r9999 (">x11-libs/qt-script-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)
[blocks B     ] >x11-libs/qt-qt3support-4.5.1-r9999 (">x11-libs/qt-qt3support-4.5.1-r9999" is blocking x11-libs/qt-test-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-webkit-4.5.1)

Total: 49 packages (28 upgrades, 18 new, 1 in new slot, 2 reinstalls, 1 uninstall), Size of downloads: 183,409 kB
Conflict: 11 blocks (10 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'x11-libs/qt-script-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kdebase-data-4.2.4-r1', 'nomerge')
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kmail-4.2.4', 'nomerge')
    >=x11-libs/qt-script-4.5.1:4 required by ('installed', '/', 'kde-base/kreadconfig-4.2.4', 'nomerge')
    (and 103 more)

  ('ebuild', '/', 'x11-libs/qt-sql-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-sql-4.5.1:4[qt3support] required by ('installed', '/', 'kde-base/kdeartwork-wallpapers-4.2.4', 'nomerge')
    x11-libs/qt-sql:4[sqlite] required by ('installed', '/', 'dev-db/sqliteman-1.2.1', 'nomerge')
    >=x11-libs/qt-sql-4.5.1:4[qt3support] required by ('installed', '/', 'kde-base/renamedlg-plugins-4.2.4', 'nomerge')
    (and 105 more)

  ('ebuild', '/', 'x11-libs/qt-qt3support-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/kcontrol-4.2.4', 'nomerge')
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/kpat-4.2.4', 'nomerge')
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility] required by ('installed', '/', 'kde-base/ksplash-4.2.4', 'nomerge')
    (and 102 more)

  ('ebuild', '/', 'x11-libs/qt-test-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/ksplash-4.2.4', 'nomerge')
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/kdebase-desktoptheme-4.2.4', 'nomerge')
    >=x11-libs/qt-test-4.5.1:4 required by ('installed', '/', 'kde-base/kde-menu-icons-4.2.4', 'nomerge')
    (and 105 more)

  ('ebuild', '/', 'x11-libs/qt-gui-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/libkexiv2-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kode-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kurifilter-plugins-4.2.4', 'nomerge')
    (and 113 more)

  ('ebuild', '/', 'x11-libs/qt-dbus-4.5.1', 'merge') pulled in by
    ~x11-libs/qt-dbus-4.5.1[-debug] required by ('ebuild', '/', 'x11-libs/qt-gui-4.5.1-r2', 'merge')
    x11-libs/qt-dbus:4 required by ('ebuild', '/', 'dev-libs/soprano-2.2.4', 'merge')
    >=x11-libs/qt-dbus-4.5.1:4 required by ('installed', '/', 'dev-python/PyQt4-4.5.1', 'nomerge')
    (and 3 more)

  ('ebuild', '/', 'x11-libs/qt-svg-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/kuiserver-4.2.4', 'nomerge')
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/khotkeys-4.2.4', 'nomerge')
    >=x11-libs/qt-svg-4.5.1:4 required by ('installed', '/', 'kde-base/kdelibs-4.2.4-r3', 'nomerge')
    (and 102 more)

  ('ebuild', '/', 'x11-libs/qt-webkit-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-webkit-4.5.1:4 required by ('installed', '/', 'kde-base/kdelibs-4.2.4-r3', 'nomerge')
    >=x11-libs/qt-webkit-4.5.1:4 required by ('installed', '/', 'dev-python/PyQt4-4.5.1', 'nomerge')

  ('ebuild', '/', 'x11-libs/qt-core-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/khelpcenter-4.2.4', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/ksystraycmd-4.2.4', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/kappfinder-4.2.4', 'nomerge')
    (and 113 more)

  ('ebuild', '/', 'x11-libs/qt-opengl-4.5.1', 'merge') pulled in by
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/krunner-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kwin-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kscreensaver-4.2.4', 'nomerge')
    (and 8 more)


Thanks for your help. I agree that this is most likely fixed with changes in /etc/portage but it's not that I've forgotten, the problem is that I don't know how to figure out which packages to keyword or unkeyword or mask or unmask, etc.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jul 07, 2009 3:43 pm    Post subject: Reply with quote

Code:
[nomerge      ]  kde-base/kdelibs-4.2.4-r3  USE="3dnow alsa bzip2 fam handbook mmx nls opengl semantic-desktop spell sse sse2 ssl -acl (-altivec) -bindist -debug -doc -jpeg2k (-kdeprefix) -kerberos -openexr -test -zeroconf"
[nomerge      ]   x11-libs/qt-webkit-4.5.1  USE="kde -debug -pch"


See this line? It means that kdelibs is pulling qt-webkit-4.5.1. This shouldnt happen and it (probably) means that you haven't keyworded qt-webkit so it is pulling the stable 4.5.1 instead of 4.5.2

Try adding x11-libs/qt-webkit on /etc/portage/package.keywords file
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Tue Jul 07, 2009 4:06 pm    Post subject: Reply with quote

Hwoarang wrote:
See this line? It means that kdelibs is pulling qt-webkit-4.5.1. This shouldnt happen and it (probably) means that you haven't keyworded qt-webkit so it is pulling the stable 4.5.1 instead of 4.5.2

Try adding x11-libs/qt-webkit on /etc/portage/package.keywords file

Thanks. I probably would have never figured that out by myself.

I'm actually trying to stay with the stable branch as much as possible. I've noticed that I have to keep keywording more and more packages to get emerge to work but I'm almost never removing packages from the keyword file(s). For example, here are (what I think are) the kde-4/qt-4 and related packages I've added so far to keep emerge happy:
Code:
# Added 2009-04-05
sys-apps/sandbox
dev-libs/rasqal
dev-libs/redland
x11-libs/qt-sql
x11-libs/qt-core
x11-libs/qt-gui
x11-libs/qt-script
x11-libs/qt-dbus
x11-libs/qt-qt3support

# Added 2009-04-16
x11-misc/xdg-utils

# Added 2009-05-08
kde-base/kde-env

# Added 2009-06-01
net-wireless/bluez

# added 2009-06-04
x11-libs/qt-svg
x11-libs/qt
x11-libs/qt-assistant
x11-libs/qt-xmlpatterns

# Added 2009-06-08
x11-libs/qtscriptgenerator
dev-db/mysql
media-libs/taglib-extras
media-sound/amarok-utils
media-sound/amarok:4

# Added 2009-06-11
dev-python/PyQt4
dev-python/sip
media-gfx/exiv2

# Added 2009-06-13
dev-python/PyQt       
x11-libs/qscintilla   
dev-python/qscintilla-python

Is there a way for me to roll back this creeping unstabilization or should I just keep adding packages to the keyword file(s)?

Thanks again for trying to teach me how to figure this stuff out by myself.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jul 07, 2009 6:15 pm    Post subject: Reply with quote

Well, you could remove package.keywords file. When you do emerge -uDNav world you will emerge the stable version of those package and you should be able to run stable branch smoothly :)
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Tue Jul 07, 2009 8:02 pm    Post subject: Reply with quote

Hwoarang wrote:
Well, you could remove package.keywords file. When you do emerge -uDNav world you will emerge the stable version of those package and you should be able to run stable branch smoothly :)

Yabut kde-4.2 is still unstable while most kde-3 apps are no longer maintained just as kde-3.5.10 is being marked stable and it is recommended that we move to the unstable 4.2.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jul 07, 2009 8:09 pm    Post subject: Reply with quote

Then you have to live with the "pain" of mixing stable and unstable branches :)

It is not that hard if you can maintain your package.keywords file though :)

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3&chap=3
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Tue Jul 07, 2009 8:43 pm    Post subject: Reply with quote

I agree about having to live with the pain. I think the invention of /etc/portage/package.* was a great leap forward but the point I was trying to make before is that there seems to be a flaw the makes using mixed software branches more complicated than the page you linked to would make it seem.

The problem I keep running into is that if I want to run a mixed system then I have to keep adding more and more packages to the keyword file(s) in order to get around blockages to emerge -uDN world. But there seems to be no mechanism (that I know of) that removes packages from the keyword file(s). So a mixed system gradually evolves into an ~unstable system.

The only way to go back that I know of is to follow the suggestion you made in jest of cleaning out the keyword file(s) and then add back in the packages that still need to be keyworded.

My current situation is a good example. In a previous post I listed all of the new packages I needed to keyword in order to keep emerge -uDN world happy which includes a lot of qt stuff. But now if I look at the new recommended kde-4.2 keyword file, all that unstable qt stuff is no longer needed.

Perhaps all that is needed is a tool that automatically removes entries from the keyword file(s) when they are no longer needed.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jul 07, 2009 8:59 pm    Post subject: Reply with quote

BitJam wrote:

My current situation is a good example. In a previous post I listed all of the new packages I needed to keyword in order to keep emerge -uDN world happy which includes a lot of qt stuff. But now if I look at the new recommended kde-4.2 keyword file, all that unstable qt stuff is no longer needed.


Of course. You dont need unstable qt-4.5.2 to run kde4. You can use the stable 4.5.1 ;)
Back to top
View user's profile Send private message
Xenoist
n00b
n00b


Joined: 21 Aug 2002
Posts: 23
Location: EU/DE/NRW/NEUSS

PostPosted: Thu Jul 09, 2009 12:58 pm    Post subject: Reply with quote

That's it thanks Hwoarang.

inserted this in /etc/portage/package.mask
Code:

>=x11-libs/qt-test-4.5.2
>=x11-libs/qt-script-4.5.2
>=x11-libs/qt-sql-4.5.2
>=x11-libs/qt-qt3support-4.5.2
>=x11-libs/qt-core-4.5.2
>=x11-libs/qt-svg-4.5.2
>=x11-libs/qt-dbus-4.5.2
>=x11-libs/qt-webkit-4.5.2
>=x11-libs/qt-opengl-4.5.2
>=x11-libs/qt-gui-4.5.2-r1
>=x11-libs/qt-gui-4.5.2
>=x11-libs/qt-xmlpatterns-4.5.2

_________________
Once live is to short to learn all, but keep trying it.

"emerge the world" every day!

Linux Registered User #413022
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Jul 09, 2009 12:59 pm    Post subject: Reply with quote

Why? You dont need that. portage will pull 4.5.1 which are in the stable branch anyway.
Back to top
View user's profile Send private message
harvester
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jan 2006
Posts: 123

PostPosted: Thu Jul 09, 2009 7:24 pm    Post subject: Reply with quote

I have never unmasked qt 4.5.2 but it got installed and now kde4.2 wants to downgrade to kde4.1.. this is a brand new installation

heres a section :

[nomerge ] kde-base/kdelibs-4.2.4-r3 USE="acl alsa bzip2 handbook mmx nls opengl semantic-desktop sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -fam -jpeg2k (-kdeprefix) -kerberos -openexr -spell -test -zeroconf"
[ebuild N ] app-misc/strigi-0.6.5 USE="clucene dbus qt4 -debug -exif -fam -hyperestraier -inotify -log -test" 885 kB
[nomerge ] kde-base/kdessh-4.2.4 USE="-debug (-kdeprefix)"
[nomerge ] x11-libs/qt-gui-4.5.1-r2 [4.5.2-r1] USE="accessibility cups dbus* glib gtkstyle%* mng qt3support xinerama -debug -nas -nis -pch -raster -tiff (-gtk%)"
[ebuild UD] x11-libs/qt-qt3support-4.5.1 [4.5.2] USE="accessibility kde -debug -pch -phonon" 0 kB
[ebuild UD] x11-libs/qt-sql-4.5.1 [4.5.2] USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[nomerge ] kde-base/kmail-4.2.4 USE="handbook kontact semantic-desktop -debug (-kdeprefix)"
[nomerge ] kde-base/kmailcvt-4.2.4 USE="-debug (-kdeprefix)"




and another :


[ebuild N ] app-crypt/qca-2.0.2-r2 USE="-debug -doc -examples"
[ebuild N ] app-crypt/qca-ossl-2.0.0_beta3-r1 USE="-debug"
[ebuild UD] x11-libs/qt-core-4.5.1 [4.5.2] USE="qt3support*"
[ebuild N ] x11-libs/qt-dbus-4.5.1 USE="-debug -pch"
[ebuild UD] x11-libs/qt-script-4.5.1 [4.5.2]
[ebuild UD] x11-libs/qt-gui-4.5.1-r2 [4.5.2-r1] USE="dbus* gtkstyle%* mng* qt3support* xinerama*"
[ebuild N ] dev-util/cmake-2.6.4 USE="qt4 -emacs -vim-syntax"



how do i fix it ?


I just masked 4.5.2 for now...
Back to top
View user's profile Send private message
hadees
Tux's lil' helper
Tux's lil' helper


Joined: 17 Dec 2003
Posts: 137

PostPosted: Fri Jul 10, 2009 6:04 pm    Post subject: Reply with quote

So my problem seems to be with PyQt4-4.5.1

It keeps trying to bring in the Qt 4.5.1 packages and there doesn't seem to be a PyQt4-4.5.2

Code:
alice ~ # emerge -pv dev-python/PyQt4

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-libs/qt-phonon-4.5.2  USE="-dbus -debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-webkit-4.5.2  USE="-debug -kde -pch" 0 kB
[ebuild     UD] x11-libs/qt-core-4.5.1 [4.5.2] USE="glib iconv qt3support ssl -debug -doc -pch" 0 kB
[ebuild     UD] x11-libs/qt-dbus-4.5.1 [4.5.2] USE="-debug -pch" 0 kB
[ebuild     UD] x11-libs/qt-script-4.5.1 [4.5.2] USE="iconv -debug -pch" 0 kB
[ebuild     UD] x11-libs/qt-sql-4.5.1 [4.5.2] USE="iconv mysql qt3support sqlite -debug (-firebird) -odbc -pch -postgres" 0 kB
[ebuild     UD] x11-libs/qt-gui-4.5.1-r2 [4.5.2] USE="accessibility cups dbus* glib gtkstyle%* qt3support -debug -mng -nas -nis -pch -raster -tiff -xinerama (-gtk%*)" 0 kB
[blocks b     ] >x11-libs/qt-gui-4.5.1-r9999 (">x11-libs/qt-gui-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-qt3support-4.5.1)
[blocks b     ] <x11-libs/qt-qt3support-4.5.2 ("<x11-libs/qt-qt3support-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-sql-4.5.2)
[ebuild     UD] x11-libs/qt-qt3support-4.5.1 [4.5.2] USE="accessibility -debug -kde -pch -phonon" 0 kB
[blocks b     ] >x11-libs/qt-qt3support-4.5.1-r9999 (">x11-libs/qt-qt3support-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2)
[blocks b     ] <x11-libs/qt-gui-4.5.2 ("<x11-libs/qt-gui-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks b     ] <x11-libs/qt-sql-4.5.2 ("<x11-libs/qt-sql-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2)
[ebuild  N    ] dev-python/PyQt4-4.5.1  USE="X dbus svg webkit -assistant -debug -doc -examples -kde -opengl -phonon -sql -xmlpatterns" 0 kB
[blocks B     ] <x11-libs/qt-qt3support-4.5.2 ("<x11-libs/qt-qt3support-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-gui-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-test-4.5.1-r9999 (">x11-libs/qt-test-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] <x11-libs/qt-sql-4.5.2 ("<x11-libs/qt-sql-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-gui-4.5.2)
[blocks B     ] <x11-libs/qt-gui-4.5.2 ("<x11-libs/qt-gui-4.5.2" is blocking x11-libs/qt-phonon-4.5.2, x11-libs/qt-webkit-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-sql-4.5.2)
[blocks B     ] >x11-libs/qt-script-4.5.1-r9999 (">x11-libs/qt-script-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] >x11-libs/qt-core-4.5.1-r9999 (">x11-libs/qt-core-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] >x11-libs/qt-svg-4.5.1-r9999 (">x11-libs/qt-svg-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] >x11-libs/qt-phonon-4.5.1-r9999 (">x11-libs/qt-phonon-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] >x11-libs/qt-dbus-4.5.1-r9999 (">x11-libs/qt-dbus-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)
[blocks B     ] >x11-libs/qt-webkit-4.5.1-r9999 (">x11-libs/qt-webkit-4.5.1-r9999" is blocking x11-libs/qt-sql-4.5.1, x11-libs/qt-gui-4.5.1-r2, x11-libs/qt-qt3support-4.5.1)

Total: 9 packages (6 downgrades, 3 new), Size of downloads: 0 kB
Conflict: 15 blocks (10 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'x11-libs/qt-gui-4.5.1-r2', 'merge') pulled in by
    >=x11-libs/qt-gui-4.5.1:4[dbus] required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')
    ~x11-libs/qt-gui-4.5.1[qt3support,accessibility,-debug] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.5.1', 'merge')
    ~x11-libs/qt-gui-4.5.1[qt3support] required by ('ebuild', '/', 'x11-libs/qt-core-4.5.1', 'merge')

  ('installed', '/', 'x11-libs/qt-script-4.5.2', 'nomerge') pulled in by
    >=x11-libs/qt-script-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')

  ('ebuild', '/', 'x11-libs/qt-webkit-4.5.2', 'merge') pulled in by
    >=x11-libs/qt-webkit-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')

  ('installed', '/', 'x11-libs/qt-core-4.5.2', 'nomerge') pulled in by
    ~x11-libs/qt-core-4.5.2[ssl,-debug] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.5.2', 'merge')
    >=x11-libs/qt-core-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')

  ('installed', '/', 'x11-libs/qt-test-4.5.2', 'nomerge') pulled in by
    >=x11-libs/qt-test-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')

  ('installed', '/', 'x11-libs/qt-svg-4.5.2', 'nomerge') pulled in by
    >=x11-libs/qt-svg-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')

  ('installed', '/', 'x11-libs/qt-dbus-4.5.2', 'nomerge') pulled in by
    >=x11-libs/qt-dbus-4.5.1:4 required by ('ebuild', '/', 'dev-python/PyQt4-4.5.1', 'merge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Back to top
View user's profile Send private message
Punchcutter
Apprentice
Apprentice


Joined: 11 Feb 2007
Posts: 220

PostPosted: Fri Jul 10, 2009 6:08 pm    Post subject: Reply with quote

Please pardon the repetition....I am running into this issue right now... I believe I have read this whole thread carefully, and tried to do the things that are recommended, but I am still experiencing blocks. I am running testing (~x86). I hope someone can help quickly because I want to reboot my system, but I'm afraid KDE won't work properly when it comes back up, and this is my work machine :( I want to be confident that it'll be ok when I restart. I don't want to do a whole emerge world if I can avoid it... is it the only way? Here's my basic info:
Code:
# emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-tuxonice i686)
=================================================================
System uname: Linux-2.6.29-tuxonice-i686-Intel-R-_Core-TM-2_Duo_CPU_L7500_@_1.60GHz-with-gentoo-2.0.0
Timestamp of tree: Fri, 10 Jul 2009 15:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7, 2.1.7
dev-lang/python:     2.5.2-r7, 2.6.2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.cs.utah.edu http://mirror.usu.edu/mirrors/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ http://www.gtlib.gatech.edu/pub/gentoo http://mirror.fslutd.org/linux/distributions/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en ja"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X accessibility acl acpi alsa berkdb bzip2 cdparanoia cjk cli cracklib crypt cups dbus dri firefox gdbm gnupg gpg gpm hal i810 i965 iconv imap immqt-bc ipod ipw4965 isdnlog java jpeg kde latex libwww midi mozbranding mozilla mp3 mudflap ncurses networkmanager nls nptl nptlonly nsplugin opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime rdesktop readline reflection samba session spl ssl sysfs tcpd unicode v4l2 vim-syntax wacom wifi x86 xorg xscreensaver xulrunner yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ja" USERLAND="GNU" VIDEO_CARDS="i810 i965"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


I added the following because of hwoarang's repeated advice to add the split ebuilds to the keywords file, although since I am already running testing I'm not sure whether it was really needed:
Code:
# grep qt /etc/portage/package.keywords
x11-libs/qt-core ~x86
x11-libs/qt-gui ~x86
x11-libs/qt-dbus ~x86
x11-libs/qt-opengl ~x86
x11-libs/qt-svg ~x86
x11-libs/qt-qt3support ~x86



This message got screwed up.... will repost emerge world output below....
Back to top
View user's profile Send private message
Punchcutter
Apprentice
Apprentice


Joined: 11 Feb 2007
Posts: 220

PostPosted: Fri Jul 10, 2009 6:13 pm    Post subject: Reply with quote

(My posts keep getting truncated! What the heck is going on here? :evil: When I look at "preview", it looks fine, but then after I post, it's truncated. Anybody else seeing this?)

My emerge world output can be seen here: http://ml1net.ml1.net/ling/emergeworldout.txt

Here's something interesting.... if I just try to merge, say, kontact, it tries to pull the meta back in...
Code:
# emerge -pv kontact

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-libs/qt-3.3.8b-r2  USE="cups immqt-bc opengl -debug -doc -examples -firebird -immqt -ipv6 -mysql -nas -nis -odbc -postgres -sqlite -xinerama" 17,043 kB
[ebuild   R   ] kde-base/kontact-3.5.10  USE="-debug" 14,219 kB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 31,261 kB

Same thing for kmail, as far as I've looked. Yes, I'm fully synced up and everything...

Thanks in advance for any help you can give...

Dave

(p.s.... Say, is this all possibly related to the fact that I've got all kde packages >= 4.0 masked, so I can stay at 3.5.x?)
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Jul 11, 2009 12:26 am    Post subject: Reply with quote

Punchcutter wrote:
Please pardon the repetition....I am running into this issue right now... I believe I have read this whole thread carefully, and tried to do the things that are recommended, but I am still experiencing blocks. I am running testing (~x86). I hope someone can help quickly because I want to reboot my system, but I'm afraid KDE won't work properly when it comes back up, and this is my work machine :( I want to be confident that it'll be ok when I restart. I don't want to do a whole emerge world if I can avoid it... is it the only way? Here's my basic info:

Code:
# grep qt /etc/portage/package.keywords
x11-libs/qt-core ~x86
x11-libs/qt-gui ~x86
x11-libs/qt-dbus ~x86
x11-libs/qt-opengl ~x86
x11-libs/qt-svg ~x86
x11-libs/qt-qt3support ~x86



This message got screwed up.... will repost emerge world output below....

You are missing several modules suhc as qt-webkit, qt-sql, qt-script etc. You need to have **ALL** qt modules keyworded and not half of them. Either keyword all of them or none of them

PyQt4-4.5.1 has nothing to do with Qt-4.5.1. PyQt4-4.5.1 works fine withn qt-4.5.1 and 4.5.2
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7950

PostPosted: Sat Jul 11, 2009 12:50 am    Post subject: Reply with quote

Punchcutter wrote:
(My posts keep getting truncated! What the heck is going on here? :evil: When I look at "preview", it looks fine, but then after I post, it's truncated. Anybody else seeing this?)
Long posts are silently truncated, this becomes especially obvious for posts containing significant numbers of BBCode tags or characters which are expanded in some way to encode them for storage. This is, presently, the expected behavior.
Back to top
View user's profile Send private message
yngwin
Developer
Developer


Joined: 19 Dec 2002
Posts: 4394
Location: Suzhou, China

PostPosted: Mon Jul 13, 2009 1:39 pm    Post subject: Reply with quote

Punchcutter wrote:
Here's something interesting.... if I just try to merge, say, kontact, it tries to pull the meta back in...
Code:
# emerge -pv kontact

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-libs/qt-3.3.8b-r2  USE="cups immqt-bc opengl -debug -doc -examples -firebird -immqt -ipv6 -mysql -nas -nis -odbc -postgres -sqlite -xinerama" 17,043 kB
[ebuild   R   ] kde-base/kontact-3.5.10  USE="-debug" 14,219 kB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 31,261 kB

qt-3 is not split, so it's not a meta but a monolithic package, which you absolutely need for kde3. Only Qt4 has been split.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8  Next
Page 4 of 8

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum